<?php
if ( isset( $_REQUEST['submit'] ) ) {
	if ( !isset( $_REQUEST[$this->plugin->name.'_nonce'] ) ) {
		$this->errorMessage = __( 'Nonce veld is niet aanwezig. Instellingen NIET opgeslagen.', 'ait-wp' );
    } 
	elseif ( !wp_verify_nonce( $_REQUEST[$this->plugin->name.'_nonce'], $this->plugin->name ) ) {
		$this->errorMessage = __( 'Ongeldige nonce gedefinieerd. Instellingen NIET opgeslagen.', 'ait-wp' );
    } 
	else {	
		if (empty($_POST['ait_wp_hosting_koppeling'])) {
			update_option('ait_wp_hosting_koppeling', 'no');
		} else if ($_POST['ait_wp_hosting_koppeling'] == 'yes') {
			update_option('ait_wp_hosting_koppeling', 'yes');
		} 
		if (empty($_POST['ait_wp_disablexml'])) {
			update_option('ait_wp_disablexml', 'no');
		} else if ($_POST['ait_wp_disablexml'] == 'yes') {
			update_option('ait_wp_disablexml', 'yes');
		} 	
		if (empty($_POST['ait_wp_cookiebar'])) {
			update_option('ait_wp_cookiebar', 'no');
		} else if ($_POST['ait_wp_cookiebar'] == 'yes') {
			update_option('ait_wp_cookiebar', 'yes');
		} 
		if (empty($_POST['ait_wp_promobar_enabled'])) {
			update_option('ait_wp_promobar_enabled', 'no');
		} else if ($_POST['ait_wp_promobar_enabled'] == 'yes') {
			update_option('ait_wp_promobar_enabled', 'yes');
		} 
		if (empty($_POST['ait_wp_openinghours'])) {
			update_option('ait_wp_openinghours', 'no');
		} else if ($_POST['ait_wp_openinghours'] == 'yes') {
			update_option('ait_wp_openinghours', 'yes');
		} 
		if (empty($_POST['ait_wp_custom_login_logo'])) {
			update_option('ait_wp_custom_login_logo', 'no');
		} else if ($_POST['ait_wp_custom_login_logo'] == 'yes') {
			update_option('ait_wp_custom_login_logo', 'yes');
		} 	
		if (empty($_POST['ait_wp_contactform'])) {
			update_option('ait_wp_contactform', 'no');
		} else if ($_POST['ait_wp_contactform'] == 'yes') {
			update_option('ait_wp_contactform', 'yes');
		} 
		if (empty($_POST['ait_wp_woocomm'])) {
			update_option('ait_wp_woocomm', 'no');
		} else if ($_POST['ait_wp_woocomm'] == 'yes') {
			update_option('ait_wp_woocomm', 'yes');
		} 
		if (empty($_POST['ait_wp_emoji'])) {
			update_option('ait_wp_emoji', 'no');
		} else if ($_POST['ait_wp_emoji'] == 'yes') {
			update_option('ait_wp_emoji', 'yes');
		} 
		if (empty($_POST['ait_wp_elementor_dividers'])) {
			update_option('ait_wp_elementor_dividers', 'no');
		} else if ($_POST['ait_wp_elementor_dividers'] == 'yes') {
			update_option('ait_wp_elementor_dividers', 'yes');
		} 
		if (empty($_POST['ait_wp_onderhoud_sw'])) {
			update_option('ait_wp_onderhoud_sw', 'no');
		} else if ($_POST['ait_wp_onderhoud_sw'] == 'yes') {
			update_option('ait_wp_onderhoud_sw', 'yes');
		} 
		$thispage = $this->plugin->name.'&tab=default';
		echo "
		<meta http-equiv=\"refresh\" content=\"0; url='?page=$thispage'\" />
		";
	}
}
$this->settings = array(
	'ait_wp_disablexml' => esc_html( wp_unslash( get_option( 'ait_wp_disablexml' ) ) ),
	'ait_wp_hosting_koppeling' => esc_html( wp_unslash( get_option( 'ait_wp_hosting_koppeling' ) ) ),
	'ait_wp_cookiebar' => esc_html( wp_unslash( get_option( 'ait_wp_cookiebar' ) ) ),
	'ait_wp_promobar_enabled' => esc_html( wp_unslash( get_option( 'ait_wp_promobar_enabled' ) ) ),
	'ait_wp_openinghours' => esc_html( wp_unslash( get_option( 'ait_wp_openinghours' ) ) ),
	'ait_wp_custom_login_logo' => esc_html( wp_unslash( get_option( 'ait_wp_custom_login_logo' ) ) ),
	'ait_wp_contactform' => esc_html( wp_unslash( get_option( 'ait_wp_contactform' ) ) ),
	'ait_wp_woocomm' => esc_html( wp_unslash( get_option( 'ait_wp_woocomm' ) ) ),
	'ait_wp_emoji' => esc_html( wp_unslash( get_option( 'ait_wp_emoji' ) ) ),
	'ait_wp_elementor_dividers' => esc_html( wp_unslash( get_option( 'ait_wp_elementor_dividers' ) ) ),
	'ait_wp_onderhoud_sw' => esc_html( wp_unslash( get_option( 'ait_wp_onderhoud_sw' ) ) ),
);
?>
<?php
if ( isset( $this->message ) ) {
?>
<div class="updated fade"><p><?php echo $this->message; ?></p></div>
<?php
}
if ( isset( $this->errorMessage ) ) {
?>
<div class="error fade"><p><?php echo $this->errorMessage; ?></p></div>
<?php
}
?>
<div class="tab-content">
<br><br>
<table width="100%">
	<tr>
		<td width="50%" height="100%" valign="top">
			<table class="widefat">
				<thead>
					<tr>
						<th><strong>Plug-in Functies</strong></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td width="100%" height="100%" valign="top">
						<?php if (class_exists('WooCommerce')){
								echo '<p>
								<input type="checkbox" class="toggle" style="display:none;" id="ait_wp_woocomm" name="ait_wp_woocomm" value="yes" ';if($this->settings['ait_wp_woocomm'] == 'yes'){echo 'checked';} echo '>
								<label for="ait_wp_woocomm" class="label"></label>
								<span>WooCommerce Opties</span>
							</p>';
							} else {
								update_option('ait_wp_woocomm', 'no');
								echo '<p>
								<input type="checkbox" class="toggle" style="display:none;" id="ait_wp_elementor_dividers" name="ait_wp_elementor_dividers" value="no" disabled>
								<label for="ait_wp_elementor_dividers" class="label"></label>
								<span>WooCommerce Opties | WooCommerce is niet geactiveerd!</span>
							</p>';
							}
							?>
							<p>
								<input type="checkbox" class="toggle" style="display:none;" id="ait_wp_onderhoud_sw" name="ait_wp_onderhoud_sw" value="yes" <?php if($this->settings['ait_wp_onderhoud_sw'] == 'yes'){echo 'checked';} ?>/>
								<label for="ait_wp_onderhoud_sw" class="label"></label>
								<span>Onderhoudsmodus</span>
							</p>
							<p>
								<input type="checkbox" class="toggle" style="display:none;" id="ait_wp_cookiebar" name="ait_wp_cookiebar" value="yes" <?php if($this->settings['ait_wp_cookiebar'] == 'yes'){echo 'checked';} ?>/>
								<label for="ait_wp_cookiebar" class="label"></label>
								<span>Cookiemelding</span>
							</p>
							<p>
								<input type="checkbox" class="toggle" style="display:none;" id="ait_wp_custom_login_logo" name="ait_wp_custom_login_logo" value="yes" <?php if($this->settings['ait_wp_custom_login_logo'] == 'yes'){echo 'checked';} ?>/>
								<label for="ait_wp_custom_login_logo" class="label"></label>
								<span>Verander Login Pagina</span>
							</p>
							<p>
								<input type="checkbox" class="toggle" style="display:none;" id="ait_wp_openinghours" name="ait_wp_openinghours" value="yes" <?php if($this->settings['ait_wp_openinghours'] == 'yes'){echo 'checked';} ?>/>
								<label for="ait_wp_openinghours" class="label"></label>
								<span>Openingstijden</span>
							</p>
							<p>
								<input type="checkbox" class="toggle" style="display:none;" id="ait_wp_contactform" name="ait_wp_contactform" value="yes" <?php if($this->settings['ait_wp_contactform'] == 'yes'){echo 'checked';} ?>/>
								<label for="ait_wp_contactform" class="label"></label>
								<span>Contactformulier</span>
							</p>
							<p>
								<input type="checkbox" class="toggle" style="display:none;" id="ait_wp_hosting_koppeling" name="ait_wp_hosting_koppeling" value="yes" <?php if($this->settings['ait_wp_hosting_koppeling'] == 'yes'){echo 'checked';} ?>/>
								<label for="ait_wp_hosting_koppeling" class="label"></label>
								<span>Directadmin Koppeling</span>
							</p>
							<p>
								<input type="checkbox" class="toggle" style="display:none;" id="ait_wp_promobar_enabled" name="ait_wp_promobar_enabled" value="yes" <?php if($this->settings['ait_wp_promobar_enabled'] == 'yes'){echo 'checked';} ?>/>
								<label for="ait_wp_promobar_enabled" class="label"></label>
								<span>Promobalk</span>
							</p>
						</td>
					</tr>
				</tbody>
			</table>
			<br>
			<table class="widefat">
				<thead>
					<tr>
						<th><strong>Extra Opties</strong></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td width="100%" height="100%" valign="top">
						<p>
								<input type="checkbox" class="toggle" style="display:none;" id="ait_wp_emoji" name="ait_wp_emoji" value="yes"<?php if($this->settings['ait_wp_emoji'] == 'yes'){echo 'checked';} ?>/>
								<label for="ait_wp_emoji" class="label"></label>
								<span>Emojis Uitschakelen (Laadtijd)</span>
							</p>
							<p>
								<input type="checkbox" class="toggle" style="display:none;" id="ait_wp_disablexml" name="ait_wp_disablexml" value="yes"<?php if($this->settings['ait_wp_disablexml'] == 'yes'){echo 'checked';} ?>/>
								<label for="ait_wp_disablexml" class="label"></label>
								<span>XML-pingback blokkeren</span>
							</p>
							<?php if (class_exists('Elementor\Plugin')){
								echo '<p>
								<input type="checkbox" class="toggle" style="display:none;" id="ait_wp_elementor_dividers" name="ait_wp_elementor_dividers" value="yes" ';if($this->settings['ait_wp_elementor_dividers'] == 'yes'){echo 'checked';} echo'/>
								<label for="ait_wp_elementor_dividers" class="label"></label>
								<span>Extra Vormscheidingen voor Elementor</span>
								</p>';
							} else {
								update_option('ait_wp_elementor_dividers', 'no');
								echo '<p>
								<input type="checkbox" class="toggle" style="display:none;" id="ait_wp_elementor_dividers" name="ait_wp_elementor_dividers" value="no" disabled>
								<label for="ait_wp_elementor_dividers" class="label"></label>
								<span>Extra Vormscheidingen voor Elementor | Elementor is niet geactiveerd!</span>
								</p>';
							}
							?>
							<p>
								<?php
									if ( isset( $_POST['ldplus-deactiveer-plugins'] ) ) {
										update_option( 'active_plugins', '');
									}
									else {
										echo '<input type="submit" name="ldplus-deactiveer-plugins" class="gobutton" value="ok"/>';
									}
								?>
								<span>Deactiveer alle plug-ins</span>
							</p>
						</td>
					</tr>
				</tbody>
			</table>
			<br>
			<table class="widefat">
	<thead>
		<tr>
			<th><strong>Upgrade (functie op maat)</strong></th>
			<th></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td height="100%" valign="top">
				<?php
				$addonfile = plugin_dir_path(__DIR__).'addon.php';
				if (isset( $_POST['ait_wp_remove_addon'] ) ) {
					unlink($addonfile);
					echo '<p class="ait_wp_admin_warning">Upgrade bestand verwijderd.</p>';
				}
				if ( isset( $_POST['ait_wp_update_addon'] ) ) {
					unlink($addonfile);
					$update_file = $_POST['ait_wp_addon_key'];
					$update_url = 'https://ait-wp.adema-it.nl/addons/'.$update_file.'';
					if (!copy($update_url, $addonfile)) {
						echo '<p class="ait_wp_admin_warning">Update mislukt.</p>';
					} else {
						echo '<p class="ait_wp_admin_success">Geupdate!</p>';
					}
				}
				if (file_exists($addonfile)){
					$inhoud = file_get_contents($addonfile);
					if (preg_match('/\$ait_wp_addon_key\s*=\s*["\']([^"\']+)["\'];/', $inhoud, $match)) {
						$ait_wp_addon_key = $match[1];
					} else {
						$ait_wp_addon_key = '';
					}
					$checkfile = file_get_contents('https://ait-wp.adema-it.nl/addons/'.$ait_wp_addon_key);
					if (preg_match('/\$ait_wp_addon_version\s*=\s*["\']([^"\']+)["\'];/', $checkfile, $match)) {
						$ait_wp_addon_upversion = $match[1];
					} else {
						$ait_wp_addon_upversion = '';
					}
					if (preg_match('/\$ait_wp_addon_name\s*=\s*["\']([^"\']+)["\'];/', $inhoud, $match)) {
						$ait_wp_addon_name = $match[1];
					} else {
						$ait_wp_addon_name = 'err';
					}
					if (preg_match('/\$ait_wp_addon_version\s*=\s*["\']([^"\']+)["\'];/', $inhoud, $match)) {
						$ait_wp_addon_version = $match[1];
					} else {
						$ait_wp_addon_version = 'err';
					}
					if (preg_match('/\$ait_wp_addon_desc\s*=\s*["\']([^"\']+)["\'];/', $inhoud, $match)) {
						$ait_wp_addon_desc = $match[1];
					} else {
						$ait_wp_addon_desc = 'err';
					}
					if ($ait_wp_addon_upversion > $ait_wp_addon_version) {
						$update_available = 'yes';
						$newversion = $ait_wp_addon_upversion;
					} else {
						$update_available = 'no';
					}
					echo '<p><input type="submit" name="ait_wp_remove_addon" class="deletebutton" value="Verwijder Addon" style="float:right;"/><h3>'.$ait_wp_addon_name.' ('.$ait_wp_addon_version.')</h3>
					'.$ait_wp_addon_desc.'</p>';
					if ($update_available == 'yes') {
						echo 'Er is een update beschikbaar: v'.$newversion.' <input type="hidden" name="ait_wp_addon_key" value="'.$ait_wp_addon_key.'"><input type="submit" name="ait_wp_update_addon" class="deletebutton" value="updaten"/></p>';
					}
				} else {
					if ( isset( $_POST['ait_wp_upload_addon'] ) ) {
						$addonkey = $_POST['ait_wp_addon_key'];
						$url = 'https://ait-wp.adema-it.nl/addons/'.$addonkey.'';
						if (!copy($url, $addonfile)) {
							echo '<p class="ait_wp_admin_warning">Addon niet gevonden, controleer uw sleutel.</p>';
						}
						else {
							echo '<p class="ait_wp_admin_success">Addon Geinstalleerd!</p>';
						}
					} else {
						echo '<p class="ait_wp_admin_notice"> Er is geen upgrade geinstalleerd.<br> Voor functies op maat kunt u contact opnemen met adema: it.</p>';
						echo '<label for="ait_wp_addon_key"><strong>Vul hier de sleutel in die u van ons heeft ontvangen</strong></label>
							  <input type="text" name="ait_wp_addon_key" id="ait_wp_addon_key" class="widefat"><br><br><input type="submit" name="ait_wp_upload_addon" class="deletebutton" value="Installeren"/>';
					} 
				}
				?>
			</td>
		</tr>
	</tbody>
</table>
		</td>
		<td width="50%" height="100%" valign="top">
<table class="widefat">
	<thead>
		<tr>
			<th><strong>Status</strong></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>
				<p>
					<?php
					$newversion = file_get_contents('https://ait-wp.adema-it.nl/updater/');
					$currentversion = $this->plugin->version;
					if($currentversion<$newversion) { 
						if ( isset( $_POST['ldplus-update-button'] ) ) {
							$url = 'https://ait-wp.adema-it.nl/updater/ait-wp'.$newversion.'.zip';
							$newfile = 'update.zip';
							if (!copy($url, $newfile)) {
								echo '<p class="ait_wp_admin_warning">Kan update niet downloaden.</p>';
							}
							$file = 'update.zip';
							$zip = new ZipArchive;
							$res = $zip->open($file);
							if ($res === TRUE) {
								$zip->extractTo(WP_PLUGIN_DIR);
								$zip->close();
							}
							unlink('update.zip');
							echo '<p class="ait_wp_admin_success">Update Geslaagd!</p>';
						}	
						else {
							echo '<p class="ait_wp_admin_warning"> Er is een nieuwe versie beschikbaar voor adema: it - WP <strong>('.$newversion.')</strong>. <input type="submit" name="ldplus-update-button" value="UPDATEN"/></p>';
						} 
					}
					else
					{ 
					echo '  <p class="ait_wp_admin_success">adema: it - WP is up-to-date: versie <strong>'.$currentversion.'</strong>.</p>';
					}
					?>
				</p>
				<p>
					<?php
						$admin_user = 'admin';
						if ( username_exists( $admin_user ) ){
							echo '<p class="ait_wp_admin_warning">U heeft een gebruiker met de naam "admin" hernoem deze of verwijder deze. Hackers passen vaak een brute-force aanval toe op de "admin" gebruiker.</p>';
							
							}
						else {
							echo '<p class="ait_wp_admin_success">Geen gebruiker met de naam "admin" gevonden.</p>';
						}
					?>
				</p>
				<p>
					<?php
						$permalinkcheck = get_option( 'permalink_structure');
						$permarecommend = '/%postname%/';
						if ($permalinkcheck == $permarecommend){
							echo '<p class="ait_wp_admin_success">Permalinks staan op de juiste wijze ingesteld.</p>';
						}
						else {
							echo '<p class="ait_wp_admin_warning">Permalinks zijn niet SEO geoptimaliseerd. Ga naar <a href="options-permalink.php">deze pagina</a> en verander de permalinks naar "Berichtnaam"</p>';
						}
					?>
				</p>
			</td>
		</tr>
	</tbody>
</table>
</td>
</tr>
</table>
</div>
<br><br>
<?php wp_nonce_field( $this->plugin->name, $this->plugin->name . '_nonce' ); ?>   
<div class="opslaanknop-wrap">
<input type="submit" name="submit" class="opslaanknop" value="<?php esc_attr_e( 'Wijzigingen Opslaan', 'ait-wp' ); ?>" />
</div>