<?php
if ( isset( $_REQUEST['submit'] ) ) {
	if ( !isset( $_REQUEST[$this->plugin->name.'_nonce'] ) ) {
		$this->errorMessage = __( 'Nonce veld is niet aanwezig. Instellingen NIET opgeslagen.', 'ait-wp' );
    } 
	elseif ( !wp_verify_nonce( $_REQUEST[$this->plugin->name.'_nonce'], $this->plugin->name ) ) {
		$this->errorMessage = __( 'Ongeldige nonce gedefinieerd. Instellingen NIET opgeslagen.', 'ait-wp' );
    } 
	else {		
		update_option( 'ait_wp_gebruikersnaam', $_REQUEST['ait_wp_gebruikersnaam'] );
		update_option( 'ait_wp_wachtwoord', $_REQUEST['ait_wp_wachtwoord'] );
		update_option( 'ait_wp_hosting_server', $_REQUEST['ait_wp_hosting_server'] );
		update_option( 'ait_wp_hosting_poort', $_REQUEST['ait_wp_hosting_poort'] );
		$this->message = __( 'Instellingen opgeslagen.', 'ait-wp' );
	}
}
$this->settings = array(
	'ait_wp_hosting_server' => esc_html( wp_unslash( get_option( 'ait_wp_hosting_server' ) ) ),
	'ait_wp_gebruikersnaam' => esc_html( wp_unslash( get_option( 'ait_wp_gebruikersnaam' ) ) ),
	'ait_wp_wachtwoord' => esc_html( wp_unslash( get_option( 'ait_wp_wachtwoord' ) ) ),
	'ait_wp_hosting_poort' => esc_html( wp_unslash( get_option( 'ait_wp_hosting_poort' ) ) ),
	'ait_wp_hosting_koppeling' => esc_html( wp_unslash( get_option( 'ait_wp_hosting_koppeling' ) ) ),
);
?>
<?php if($this->settings['ait_wp_hosting_koppeling'] == 'yes'){}else{die ("Functie Uitgeschakeld");}?>
<?php
    if ( isset( $this->message ) ) {
?>
<div class="updated fade"><p><?php echo $this->message; ?></p></div>
<?php
}
if ( isset( $this->errorMessage ) ) {
?>
<div class="error fade"><p><?php echo $this->errorMessage; ?></p></div>
<?php
}
?>
<?php
$sock = new HTTPSocket;
$sock->connect("ssl://".$this->settings['ait_wp_hosting_server'],$this->settings['ait_wp_hosting_poort']);
$sock->set_login($this->settings['ait_wp_gebruikersnaam'],$this->settings['ait_wp_wachtwoord']);
$sock->query('/CMD_API_SHOW_DOMAINS');
$result = $sock->fetch_parsed_body();
$a = explode('&', $sock->fetch_body());
$values = Array();
$i=0;
foreach ($a as $v)
{
	$values[$i++] = substr(strstr($v, '='), 1);
}
foreach ($values as $domein)
{
}
?>
<div class="tab-content">
<br><br>
<table width="100%">
<tr>
<td width="50%" height="100%" valign="top">
<table class="widefat">
	<thead>
		<tr>
			<th><strong>Instellingen</strong></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td width="100%" height="100%" valign="top">
				<p>
				<?php
					if (empty ($domein)){
						echo '<p class="ait_wp_admin_warning">De login-gegevens van uw hostingpakket zijn incorrect.</p>';
					}
					else
					if (strpos($domein, 'Content-Type') !== false){
						echo '<p class="ait_wp_admin_warning">De login-gegevens van uw hostingpakket zijn incorrect.</p>';
					}
					else {
						echo '<p class="ait_wp_admin_success">De login-gegevens van uw hostingpakket zijn correct.</p>';
					}
				?>
				</p>
				<p>
					<label for="ait_wp_hosting_server"><strong><?php esc_html_e( 'Server & Poort (standaard poort: 2222)', 'ait-wp' ); ?></strong></label><br>
					<input type="text" name="ait_wp_hosting_server" id="ait_wp_hosting_server" class="widefat" style="width:325px !important;" value="<?php echo $this->settings['ait_wp_hosting_server']; ?>">
					<input type="text" name="ait_wp_hosting_poort" id="ait_wp_hosting_poort" class="widefat" style="width:75px !important;" value="<?php echo $this->settings['ait_wp_hosting_poort']; ?>">
					<br>
					<?php esc_html_e('Vraag uw hosting provider om de link en poort van uw controle paneel.', 'ait-wp'); ?>
				</p>
				<p>
					<label for="ait_wp_gebruikersnaam"><strong><?php esc_html_e( 'Gebruikersnaam', 'ait-wp' ); ?></strong></label>
					<input type="text" name="ait_wp_gebruikersnaam" id="ait_wp_gebruikersnaam" class="widefat" value="<?php echo $this->settings['ait_wp_gebruikersnaam']; ?>">
					<?php esc_html_e('De gebruikersnaam van uw webhostingpakket.', 'ait-wp'); ?>
				</p>
				<p>
					<label for="ait_wp_wachtwoord"><strong><?php esc_html_e( 'Loginkey/Wachtwoord', 'ait-wp' ); ?></strong></label>
					<input type="password" name="ait_wp_wachtwoord" id="ait_wp_wachtwoord" class="widefat" value="<?php echo $this->settings['ait_wp_wachtwoord']; ?>">
					<?php _e('Vul de loginkey of het wachtwoord in van uw hostingpakket.', 'ait-wp'); ?>
				</p>
				<br>
				<?php wp_nonce_field( $this->plugin->name, $this->plugin->name . '_nonce' ); ?>   
				<input type="submit" name="submit" class="deletebutton" value="<?php esc_attr_e( 'Opslaan', 'ait-wp' ); ?>" />
			</td>
		</tr>
	</tbody>
</table>
<br>
<table class="widefat">
	<thead>
		<tr>
			<th><strong>Server Informatie</strong></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>
				<p>
				Deze website gebruikt PHP versie: <strong><?php echo phpversion(); ?></strong>
				</p>
			</td>
		</tr>
	</tbody>
</table>
</td>
<td width="50%" height="100%" valign="top">
<table class="widefat">
	<thead>
		<tr>
			<th><strong>Hosting Statistieken</strong></th>
			<th></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td width="75%" height="100%" valign="top" align="center">
				<table border="0" width="100%">
					<?php
					if($this->settings['ait_wp_hosting_koppeling'] == 'yes'){
						if (empty ($domein)){
							echo '<tr><td>Verbinding mislukt, controleer uw login-gegevens.</td><td></td></tr>';
						}
						else
						if (strpos($domein, 'Content-Type') !== false){
							echo '<tr><td>Verbinding mislukt, controleer uw login-gegevens.</td><td></td></tr>';
						}
						else {
							$sock->query('/CMD_API_SHOW_USER_USAGE');
							$user_usage = $sock->fetch_parsed_body();
					
							$sock->query('/CMD_API_SHOW_USER_CONFIG');
							$user_config = $sock->fetch_parsed_body();
							
							$traffic_percent = ($user_usage['bandwidth'] * 100) / $user_config['bandwidth'] ;
							$traffic_percent = number_format($traffic_percent,2);
							
							$disk_percent = ($user_usage['quota'] * 100) / $user_config['quota'] ;
							$disk_percent = number_format($disk_percent,2);
							
							$usage_traffic = $user_usage['bandwidth'] / 1000;
							$usage_traffic = number_format($usage_traffic,2);
							$config_traffic = $user_config['bandwidth'] / 1000;
							$config_traffic = number_format($config_traffic,2);
							
							$usage_disk = $user_usage['quota'] / 1000;
							$usage_disk = number_format($usage_disk,2);
							$config_disk = $user_config['quota'] / 1000;
							$config_disk = number_format($config_disk,2);
							
							$usage_nemails = $user_usage['nemails'] ;
							$config_nemails = $user_config['nemails'];
							
							$usage_vdomains = $user_usage['vdomains'];
							$config_vdomains = $user_config['vdomains'];
							
							$usage_nsubdomains = $user_usage['nsubdomains'];
							$config_nsubdomains = $user_config['nsubdomains'];
							
							$usage_nemailf = $user_usage['nemailf'];
							$config_nemailf = $user_config['nemailf'];
						
							$usage_mysql = $user_usage['mysql'];
							$config_mysql = $user_config['mysql'];
							
							if ($config_disk == '0.00'){
								$configdisk = 'onbeperkt';
							} else {
								$configdisk = $config_disk;
							}
							if ($config_traffic == '0.00'){
								$configtraffic = 'onbeperkt';
							} else {
								$configtraffic = $config_traffic;
							}
							echo "
							<tr>
								<td>Webruimte:</td>
								<td><strong>".$usage_disk." GB</strong> / ".$configdisk." GB (".str_replace("inf", "0", $disk_percent)."%)</td>
							</tr>
							<tr>
								<td>Verkeer:</td>
								<td><strong>".$usage_traffic." GB</strong> / ".$configtraffic." GB (".str_replace("inf", "0", $traffic_percent)."%)</td>
							</tr>
							<tr>
								<td>Domeinnamen:</td>
								<td><strong>".$usage_vdomains."</strong> / ".str_replace("unlimited", "geen limiet", $config_vdomains)."</td>
							</tr>
							<tr>
								<td>Subdomeinen:</td>
								<td><strong>".$usage_nsubdomains."</strong> / ".str_replace("unlimited", "geen limiet", $config_nsubdomains)."</td>
							</tr>
							<tr>
								<td>Mailboxen:</td>
								<td><strong>".$usage_nemails."</strong> / ".str_replace("unlimited", "geen limiet", $config_nemails)."</td>
							</tr>
							<tr>
								<td>Mail-forwarders:</td>
								<td><strong>".$usage_nemailf."</strong> / ".str_replace("unlimited", "geen limiet", $config_nemailf)."</td>
							</tr>
							<tr>
								<td>MySQL Databases:</td>
								<td><strong>".$usage_mysql."</strong> / ".str_replace("unlimited", "geen limiet", $config_mysql)."</td>
							</tr> 
							";
						} 
					}
					else {
						echo "<tr><td>Zet de Directadmin koppeling aan om gebruik te maken van deze functie.</td><td></td></tr>";
					}
					?>
				</table>
			</td>
			<td width="25%" height="100%" valign="middle" align="center">
				<img src="<?php echo $this->plugin->url;?>res/logo-stats.png">
			</td>
		</tr>
	</tbody>
</table>
<br>
<table class="widefat">
	<thead>
		<tr>
			<th><strong>Back-ups van uw hostingpakket</strong></th>
			<th></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td height="100%" valign="middle" align="left">
			<?php
				if ( isset( $_POST['ldplus-backup-maken'] ) ) {
					$sock->query('/CMD_API_SITE_BACKUP',
					array(
					'action' => 'backup',
					'domain' => $domein,
					'select0' => 'domain',
					'select1' => 'subdomain',
					'select2' => 'email',
					'select3' => 'forwarder',
					'select4' => 'autoresponder',
					'select5' => 'vacation',
					'select6' => 'list',
					'select7' => 'emailsettings',
					'select8' => 'ftp',
					'select9' => 'ftpsettings',
					'select10' => 'database',
					'create' => 'Create'
					));
					echo '<p class="ait_wp_admin_success">Uw backup wordt aangemaakt, afhankelijk van de grootte van uw pakket kan dit enige tijd duren.</p>';
					}
				else {
				echo '';
				}
				?>
				<?php
				if($this->settings['ait_wp_hosting_koppeling'] == 'yes'){
					if (empty ($domein)){
					}
					else {
						if ( isset( $_POST['ldplus-herstel-bevestig'] ) ) {
						$backupfile = $_POST['backupfile'];
						$sock->query('/CMD_API_SITE_BACKUP',
						array(
						'action' => 'restore',
						'domain' => $domein,
						'file' => $backupfile,
						'select0' => 'domain',
						'select1' => 'subdomain',
						'select2' => 'email',
						'select3' => 'forwarder',
						'select4' => 'autoresponder',
						'select5' => 'vacation',
						'select6' => 'list',
						'select7' => 'emailsettings',
						'select8' => 'ftp',
						'select9' => 'ftpsettings',
						'select10' => 'database'
						));
						echo '<p class="ait_wp_admin_success">Uw backup wordt hersteld, afhankelijk van de grootte van uw pakket kan dit enige tijd duren.</p>'; 
							} 
							else
							if ( isset( $_POST['ldplus-backup-herstellen'] ) ) {
								$filebackup = $_POST['filebackup'];
								echo '<p class="ait_wp_admin_warning"><strong>Weet u zeker dat u de backup: '.$filebackup.' wilt terugplaatsen?</strong>
								<form action="' . esc_url( $_SERVER['REQUEST_URI'] ) . '" method="post">
								<input name="backupfile" type="hidden" value="'.$filebackup.'">
								<input type="submit" class="deletebutton" name="ldplus-herstel-bevestig" value="doorgaan"/> <a href="javascript:history.go(-1)">afbreken</a></p>
								</form>';
							} else {
								echo '';
							}
							}
						} 
					else {
				}
				?>
				<table width="100%">
							<?php
						if($this->settings['ait_wp_hosting_koppeling'] == 'yes'){
							if (empty ($domein)){
								echo 'Verbinding mislukt, controleer uw login-gegevens.';
							}
							else
							if (strpos($domein, 'Content-Type') !== false){
								echo 'Verbinding mislukt, controleer uw login-gegevens.';
							}
							else {
								echo '<tr><td>U kunt uw back-ups verwijderen vanaf uw hostingbeheer -> bestandsbeheer/file manager.<br><br><strong>Aanwezige Backups</strong></td><td></td></tr>';
								$sock->query('/CMD_API_SITE_BACKUP',
								array(
								'domain' => $domein,
								));
								$b = explode('&', $sock->fetch_body());
								$values2 = Array();
								$j=0;
								foreach ($b as $x)
								{
									 $values2[$j++] = substr(strstr($x, '='), 1);
								}
								foreach ($values2 as $listbackup)
								{
									 if ( isset($listbackup) && trim($listbackup) != "") {
											echo '<tr><td>'.$listbackup.'</td><td><form action="' . esc_url( $_SERVER['REQUEST_URI'] ) . '" method="post"> <input name="filebackup" type="hidden" value="'.$listbackup.'"> <input type="submit" class="deletebutton" name="ldplus-backup-herstellen" value="herstel"/></form></td>';
										} else {
											echo '<tr><td>Geen back-up aanwezig</td><td></td>';
									}
								}
								}
								}
							?>
						</tr>
					</table>
					<table width="100%"><tr>
						<?php
						if($this->settings['ait_wp_hosting_koppeling'] == 'yes'){
							if (empty ($domein)){
								echo '';
							}
							else
							if (strpos($domein, 'Content-Type') !== false){
								echo '';
							}
							else {
								echo '<td><strong>Nieuwe back-up maken</strong></td><td></td></tr><tr><td><form action="' . esc_url( $_SERVER['REQUEST_URI'] ) . '" method="post"> <input type="submit" name="ldplus-backup-maken" class="deletebutton" value="STARTEN"/></form></td><td></td></tr>';
							}
							} 
						else {
						}
						?>
					</tr>
				</table>
			</td>
			<td width="25%" height="100%" valign="middle" align="center">
				<img src="<?php echo $this->plugin->url;?>res/logo-backup.png">
			</td>
		</tr>
	</tbody>
</table>
</td>
</tr>
</table>
<br>
<table class="widefat">
	<thead>
		<tr>
			<th><strong>Serverlogs van <?php echo $_SERVER['HTTP_HOST']; ?></strong></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>
				<p>
					<br>
					<strong>error log</strong>
				</p>
				<p>
<textarea name="error_log" class="aitform_field_large" rows="20" readonly="readonly">
<?php
						if($this->settings['ait_wp_hosting_koppeling'] == 'yes'){
							if (empty ($domein)){
								echo 'Verbinding mislukt, controleer uw login-gegevens.';
							}
							else
							if (strpos($domein, 'Content-Type') !== false){
								echo 'Verbinding mislukt, controleer uw login-gegevens.';
							}
							else {
								$webpagina = str_replace("www.", "", $_SERVER['HTTP_HOST']);
								$sock->query('/CMD_SHOW_LOG?domain='.$webpagina.'&type=error');
								$i2=0;
								$a2 = explode('&', $sock->fetch_body());
								$values2 = Array();
								foreach ($a2 as $v2)
								{
								   $values2[$i2++] = substr(strstr($v2, '='), 1);
								}
								foreach ($values2 as $domein2)
								{
								}
								echo "$v2";	 
							}
						}
						?>
					</textarea>
				</p>
				<p>
					<br>
					<strong>usage log</strong>
				</p>
				<p>
<textarea name="error_log" class="aitform_field_large" rows="20" readonly="readonly">
<?php
						if($this->settings['ait_wp_hosting_koppeling'] == 'yes'){
							if (empty ($domein)){
								echo 'Verbinding mislukt, controleer uw login-gegevens.';
							}
							else
							if (strpos($domein, 'Content-Type') !== false){
								echo 'Verbinding mislukt, controleer uw login-gegevens.';
							}
							else {
								$sock->query('/CMD_SHOW_LOG?domain='.$webpagina.'&type=log');
								$i3=0;
								$a3 = explode('#', $sock->fetch_body());
								$values3 = Array();
								foreach ($a3 as $v3)
								{
									 $values3[$i3++] = substr(strstr($v3, '='), 1);
								}
								foreach ($values3 as $domein3)
								{
								}
								echo "$domein3";	
							}
						}
						?>
					</textarea>
				</p>
			</td>
		</tr>
	</tbody>
</table>
</div>