<?php
if ( isset( $_REQUEST['submit'] ) ) {
	if ( !isset( $_REQUEST[$this->plugin->name.'_nonce'] ) ) {
		$this->errorMessage = __( 'Nonce veld is niet aanwezig. Instellingen NIET opgeslagen.', 'ait-wp' );
    } 
	elseif ( !wp_verify_nonce( $_REQUEST[$this->plugin->name.'_nonce'], $this->plugin->name ) ) {
		$this->errorMessage = __( 'Ongeldige nonce gedefinieerd. Instellingen NIET opgeslagen.', 'ait-wp' );
    } 
	else {	
		update_option( 'ait_wp_otijd_ma_open', $_REQUEST['ait_wp_otijd_ma_open'] );
		update_option( 'ait_wp_otijd_ma_dicht', $_REQUEST['ait_wp_otijd_ma_dicht'] );
		update_option( 'ait_wp_otijd_di_open', $_REQUEST['ait_wp_otijd_di_open'] );
		update_option( 'ait_wp_otijd_di_dicht', $_REQUEST['ait_wp_otijd_di_dicht'] );
		update_option( 'ait_wp_otijd_wo_open', $_REQUEST['ait_wp_otijd_wo_open'] );
		update_option( 'ait_wp_otijd_wo_dicht', $_REQUEST['ait_wp_otijd_wo_dicht'] );
		update_option( 'ait_wp_otijd_do_open', $_REQUEST['ait_wp_otijd_do_open'] );
		update_option( 'ait_wp_otijd_do_dicht', $_REQUEST['ait_wp_otijd_do_dicht'] );
		update_option( 'ait_wp_otijd_vr_open', $_REQUEST['ait_wp_otijd_vr_open'] );
		update_option( 'ait_wp_otijd_vr_dicht', $_REQUEST['ait_wp_otijd_vr_dicht'] );
		update_option( 'ait_wp_otijd_za_open', $_REQUEST['ait_wp_otijd_za_open'] );
		update_option( 'ait_wp_otijd_za_dicht', $_REQUEST['ait_wp_otijd_za_dicht'] );
		update_option( 'ait_wp_otijd_zo_open', $_REQUEST['ait_wp_otijd_zo_open'] );
		update_option( 'ait_wp_otijd_zo_dicht', $_REQUEST['ait_wp_otijd_zo_dicht'] );
		update_option( 'ait_wp_otijd_ma_note', $_REQUEST['ait_wp_otijd_ma_note'] );
		update_option( 'ait_wp_otijd_di_note', $_REQUEST['ait_wp_otijd_di_note'] );
		update_option( 'ait_wp_otijd_wo_note', $_REQUEST['ait_wp_otijd_wo_note'] );
		update_option( 'ait_wp_otijd_do_note', $_REQUEST['ait_wp_otijd_do_note'] );
		update_option( 'ait_wp_otijd_vr_note', $_REQUEST['ait_wp_otijd_vr_note'] );
		update_option( 'ait_wp_otijd_za_note', $_REQUEST['ait_wp_otijd_za_note'] );
		update_option( 'ait_wp_otijd_zo_note', $_REQUEST['ait_wp_otijd_zo_note'] );
		update_option( 'ait_wp_otijd_opentext', $_REQUEST['ait_wp_otijd_opentext'] );
		update_option( 'ait_wp_otijd_dichttext', $_REQUEST['ait_wp_otijd_dichttext'] );
		update_option( 'ait_wp_otijd_pre_text', $_REQUEST['ait_wp_otijd_pre_text'] );
		update_option( 'ait_wp_otijd_koppel_text', $_REQUEST['ait_wp_otijd_koppel_text'] );
		update_option( 'ait_wp_otijd_open_text', $_REQUEST['ait_wp_otijd_open_text'] );
		update_option( 'ait_wp_otijd_gesloten_text', $_REQUEST['ait_wp_otijd_gesloten_text'] );
		update_option( 'ait_wp_otijd_opendicht_open', $_REQUEST['ait_wp_otijd_opendicht_open'] );
		update_option( 'ait_wp_otijd_opendicht_dicht', $_REQUEST['ait_wp_otijd_opendicht_dicht'] );
		update_option( 'ait_wp_eigentijd', $_REQUEST['ait_wp_eigentijd'] );
		$this->message = __( 'Instellingen opgeslagen.', 'ait-wp' );
	}
}
$this->settings = array(
	'ait_wp_otijd_ma_open' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_ma_open' ) ) ),
	'ait_wp_otijd_ma_dicht' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_ma_dicht' ) ) ),
	'ait_wp_otijd_di_open' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_di_open' ) ) ),
	'ait_wp_otijd_di_dicht' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_di_dicht' ) ) ),
	'ait_wp_otijd_wo_open' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_wo_open' ) ) ),
	'ait_wp_otijd_wo_dicht' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_wo_dicht' ) ) ),
	'ait_wp_otijd_do_open' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_do_open' ) ) ),
	'ait_wp_otijd_do_dicht' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_do_dicht' ) ) ),
	'ait_wp_otijd_vr_open' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_vr_open' ) ) ),
	'ait_wp_otijd_vr_dicht' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_vr_dicht' ) ) ),
	'ait_wp_otijd_za_open' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_za_open' ) ) ),
	'ait_wp_otijd_za_dicht' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_za_dicht' ) ) ),
	'ait_wp_otijd_zo_open' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_zo_open' ) ) ),
	'ait_wp_otijd_zo_dicht' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_zo_dicht' ) ) ),
	'ait_wp_otijd_ma_note' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_ma_note' ) ) ),
	'ait_wp_otijd_di_note' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_di_note' ) ) ),
	'ait_wp_otijd_wo_note' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_wo_note' ) ) ),
	'ait_wp_otijd_do_note' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_do_note' ) ) ),
	'ait_wp_otijd_vr_note' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_vr_note' ) ) ),
	'ait_wp_otijd_za_note' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_za_note' ) ) ),
	'ait_wp_otijd_zo_note' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_zo_note' ) ) ),
	'ait_wp_otijd_opentext' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_opentext' ) ) ),
	'ait_wp_otijd_dichttext' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_dichttext' ) ) ),
	'ait_wp_otijd_pre_text' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_pre_text' ) ) ),
	'ait_wp_otijd_koppel_text' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_koppel_text' ) ) ),
	'ait_wp_otijd_open_text' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_open_text' ) ) ),
	'ait_wp_otijd_gesloten_text' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_gesloten_text' ) ) ),
	'ait_wp_openinghours' => esc_html( wp_unslash( get_option( 'ait_wp_openinghours' ) ) ),
	'ait_wp_otijd_opendicht_open' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_opendicht_open' ) ) ),
	'ait_wp_otijd_opendicht_dicht' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_opendicht_dicht' ) ) ),
	'ait_wp_eigentijd' => esc_html( wp_unslash( get_option( 'ait_wp_eigentijd' ) ) ),
);
?>
<?php if($this->settings['ait_wp_openinghours'] == 'yes'){}else{die ("Functie Uitgeschakeld");}?>
<?php
if ( isset( $this->message ) ) {
?>
<div class="updated fade"><p><?php echo $this->message; ?></p></div>
<?php
}
if ( isset( $this->errorMessage ) ) {
?>
<div class="error fade"><p><?php echo $this->errorMessage; ?></p></div>
<?php
}
?>
<div class="tab-content">
<br><br>
<table width="100%">
<tr>
<td width="50%" height="100%" valign="top">
<table class="widefat">
	<thead>
		<tr>
			<th><strong>Openingstijden met eventuele opmerking [ait_wp_openingstijden]</strong></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>
				<p>
					Om een dag op <strong>"gesloten"</strong> te zetten laat u de velden van de gesloten dag leeg.<br> 
					U kunt in het veld achter de tijden een notitie achterlaten, bijvoorbeeld: pinksteren.
				</p>
				<table width="100%"  border="0" cellspacing="0" cellpadding="0">
  					<tr>
    					<td width="25%" align="left"><strong>Openingstijden</strong></td>
    					<td width="75%" align="left">&nbsp;</td>
  					</tr>
  					<tr>
    					<td width="25%" align="left">Maandag</td>
    					<td width="75%" align="left">
							van <input type="text" name="ait_wp_otijd_ma_open" id="ait_wp_otijd_ma_open" size="6" maxlength="5" value="<?php echo $this->settings['ait_wp_otijd_ma_open']; ?>">
							tot  <input type="text" name="ait_wp_otijd_ma_dicht" id="ait_wp_otijd_ma_dicht" size="6" maxlength="5" value="<?php echo $this->settings['ait_wp_otijd_ma_dicht']; ?>"> 
							<input type="text" name="ait_wp_otijd_ma_note" id="ait_wp_otijd_ma_note" size="12" maxlength="15" value="<?php echo $this->settings['ait_wp_otijd_ma_note']; ?>">
						</td>
					</tr>
 					<tr>
						<td width="25%" align="left">Dinsdag</td>
						<td width="75%" align="left">
							van <input type="text" name="ait_wp_otijd_di_open" id="ait_wp_otijd_di_open" size="6" maxlength="5" value="<?php echo $this->settings['ait_wp_otijd_di_open']; ?>">
							tot <input type="text" name="ait_wp_otijd_di_dicht" id="ait_wp_otijd_di_dicht" size="6" maxlength="5" value="<?php echo $this->settings['ait_wp_otijd_di_dicht']; ?>"> 
					  		<input type="text" name="ait_wp_otijd_di_note" id="ait_wp_otijd_di_note" size="12" maxlength="15" value="<?php echo $this->settings['ait_wp_otijd_di_note']; ?>">
						</td>
					  </tr>
					  <tr>
						<td width="25%" align="left">Woensdag</td>
						<td width="75%" align="left">
							van <input type="text" name="ait_wp_otijd_wo_open" id="ait_wp_otijd_wo_open" size="6" maxlength="5" value="<?php echo $this->settings['ait_wp_otijd_wo_open']; ?>">
							tot <input type="text" name="ait_wp_otijd_wo_dicht" id="ait_wp_otijd_wo_dicht" size="6" maxlength="5" value="<?php echo $this->settings['ait_wp_otijd_wo_dicht']; ?>"> 
							<input type="text" name="ait_wp_otijd_wo_note" id="ait_wp_otijd_wo_note" size="12" maxlength="15" value="<?php echo $this->settings['ait_wp_otijd_wo_note']; ?>">
					 	</td>
					  </tr>
					  <tr>
						<td width="25%" align="left">Donderdag</td>
						<td width="75%" align="left">
							van <input type="text" name="ait_wp_otijd_do_open" id="ait_wp_otijd_do_open" size="6" maxlength="5" value="<?php echo $this->settings['ait_wp_otijd_do_open']; ?>">
							tot <input type="text" name="ait_wp_otijd_do_dicht" id="ait_wp_otijd_do_dicht" size="6" maxlength="5" value="<?php echo $this->settings['ait_wp_otijd_do_dicht']; ?>"> 
					  		<input type="text" name="ait_wp_otijd_do_note" id="ait_wp_otijd_do_note" size="12" maxlength="15" value="<?php echo $this->settings['ait_wp_otijd_do_note']; ?>">
					  	</td>
					  </tr>
					  <tr>
						<td width="25%" align="left">Vrijdag</td>
						<td width="75%" align="left">
							van <input type="text" name="ait_wp_otijd_vr_open" id="ait_wp_otijd_vr_open" size="6" maxlength="5" value="<?php echo $this->settings['ait_wp_otijd_vr_open']; ?>">
							tot <input type="text" name="ait_wp_otijd_vr_dicht" id="ait_wp_otijd_vr_dicht" size="6" maxlength="5" value="<?php echo $this->settings['ait_wp_otijd_vr_dicht']; ?>"> 
					  		<input type="text" name="ait_wp_otijd_vr_note" id="ait_wp_otijd_vr_note" size="12" maxlength="15" value="<?php echo $this->settings['ait_wp_otijd_vr_note']; ?>">
					  	</td>
					  </tr>
					  <tr>
						<td width="25%" align="left">Zaterdag</td>
						<td width="75%" align="left">
						van <input type="text" name="ait_wp_otijd_za_open" id="ait_wp_otijd_za_open" size="6" maxlength="5" value="<?php echo $this->settings['ait_wp_otijd_za_open']; ?>">
						tot <input type="text" name="ait_wp_otijd_za_dicht" id="ait_wp_otijd_za_dicht" size="6" maxlength="5" value="<?php echo $this->settings['ait_wp_otijd_za_dicht']; ?>"> 
					  	<input type="text" name="ait_wp_otijd_za_note" id="ait_wp_otijd_za_note" size="12" maxlength="15" value="<?php echo $this->settings['ait_wp_otijd_za_note']; ?>"></td>
					  </tr>
					  <tr>
						<td width="25%" align="left">Zondag</td>
						<td width="75%" align="left">
							van <input type="text" name="ait_wp_otijd_zo_open" id="ait_wp_otijd_zo_open" size="6" maxlength="5" value="<?php echo $this->settings['ait_wp_otijd_zo_open']; ?>">
							tot <input type="text" name="ait_wp_otijd_zo_dicht" id="ait_wp_otijd_zo_dicht" size="6" maxlength="5" value="<?php echo $this->settings['ait_wp_otijd_zo_dicht']; ?>"> 
					  		<input type="text" name="ait_wp_otijd_zo_note" id="ait_wp_otijd_zo_note" size="12" maxlength="15" value="<?php echo $this->settings['ait_wp_otijd_zo_note']; ?>"></td>
					  </tr>
				</table>
			</td>
		</tr>
	</tbody>
</table><br>
<table class="widefat">
	<thead>
		<tr>
			<th><strong>Vrij veld. [ait_wp_eigentijd]</strong></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>
				<p>
					Gebruik deze shortcode om bijzondere openingstijden toe te voegen. U kunt HTML gebruiken voor het opstellen van de bijzondere openingstijden.
				</p>
				<p>
					<textarea type="text" name="ait_wp_eigentijd" id="ait_wp_eigentijd" class="widefat" rows="15"><?php echo $this->settings['ait_wp_eigentijd']; ?></textarea>
				</p>
			</td>
		</tr>
	</tbody>
</table><br>
<table class="widefat">
	<thead>
		<tr>
			<th><strong>Openingszin [ait_wp_open_dicht]</strong></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>
				<p>
					Deze shortcode kijkt of het bedrijf geopend of gesloten is op basis van bovenstaande tijden. Is het bedrijf open dan kunt u een zin weergeven, bijvoorbeeld: Nu bestellen is vandaag verzonden.
					Als het bedrijf gesloten is kunt u ook een eigen tekst weergeven.
				</p>
				<p>
					<label for="ait_wp_otijd_opendicht_open"><strong><?php esc_html_e( 'Tekst als het bedrijf geopend is:', 'ait-wp' ); ?></strong></label>
					<input type="text" name="ait_wp_otijd_opendicht_open" id="ait_wp_otijd_opendicht_open" maxlength="100" class="widefat" value="<?php echo $this->settings['ait_wp_otijd_opendicht_open']; ?>">
				</p>
				<p>
					<label for="ait_wp_otijd_opendicht_dicht"><strong><?php esc_html_e( 'Tekst als het bedrijf gesloten is:', 'ait-wp' ); ?></strong></label>
					<input type="text" name="ait_wp_otijd_opendicht_dicht" id="ait_wp_otijd_opendicht_dicht" maxlength="100" class="widefat" value="<?php echo $this->settings['ait_wp_otijd_opendicht_dicht']; ?>">
				</p>
			</td>
		</tr>
	</tbody>
</table>
</td>
<td width="50%" height="100%" valign="top">
<table class="widefat">
	<thead>
		<tr>
		<th><strong>Wanneer open [ait_wp_wanneer_open]</strong></th>
		</tr>
	</thead>
		<tr>
			<td>
			<p>
					Deze optie gebruikt bovenstaande openingstijden om te kijken wanneer het bedrijf open gaat.<br>
					Gebruik de onderstaande opties om de tekst te wijzigen als het bedrijf gesloten of geopend is.
					<br><br>
					<strong>Zo ziet het er uit:</strong><br>
					1. Is het bedrijf op dit moment open? Laat dan zien tot hoelaat.<br>
					<?php echo $this->settings['ait_wp_otijd_opentext']; ?>[sluitingstijd]<br><br>
					2. Is het bedrijf gesloten voor openingstijd? Laat zien hoelaat het bedrijf open is.<br>
					<?php echo $this->settings['ait_wp_otijd_dichttext']; ?><?php echo $this->settings['ait_wp_otijd_open_text']; ?>[openingstijd]<?php echo $this->settings['ait_wp_otijd_koppel_text']; ?><br><br>
					3. Is het bedrijf gesloten na sluitingstijd? Kijk of er de volgende dag een openingstijd is.<br>
					<?php echo $this->settings['ait_wp_otijd_dichttext']; ?><?php echo $this->settings['ait_wp_otijd_pre_text']; ?>[openingstijd]<?php echo $this->settings['ait_wp_otijd_gesloten_text']; ?><br><br>
					4. Is er geen tijd beschikbaar voor morgen (gaat nu tot 1 dag).<br>
					<?php echo $this->settings['ait_wp_otijd_dichttext']; ?>
				</p>
				<p>
					<label for="ait_wp_otijd_opentext"><strong><?php esc_html_e( 'Tekst voor de tijd als het bedrijf geopend is:', 'ait-wp' ); ?></strong></label>
					<input type="text" name="ait_wp_otijd_opentext" id="ait_wp_otijd_opentext" maxlength="100" class="widefat" value="<?php echo $this->settings['ait_wp_otijd_opentext']; ?>">
				</p>
				<p>
					<label for="ait_wp_otijd_dichttext"><strong><?php esc_html_e( 'Tekst voor de tijd als het bedrijf gesloten is:', 'ait-wp' ); ?></strong></label>
					<input type="text" name="ait_wp_otijd_dichttext" id="ait_wp_otijd_dichttext" maxlength="100" class="widefat" value="<?php echo $this->settings['ait_wp_otijd_dichttext']; ?>">
				</p>
				<p>
					<label for="ait_wp_otijd_open_text"><strong><?php esc_html_e( 'Tekst VOOR de openingstijd van vandaag.', 'ait-wp' ); ?></strong></label>
					<input type="text" name="ait_wp_otijd_open_text" id="ait_wp_otijd_open_text" maxlength="100" class="widefat" value="<?php echo $this->settings['ait_wp_otijd_open_text']; ?>">
				</p>
				<p>
					<label for="ait_wp_otijd_koppel_text"><strong><?php esc_html_e( 'Tekst NA de openingstijd van vandaag.', 'ait-wp' ); ?></strong></label>
					<input type="text" name="ait_wp_otijd_koppel_text" id="ait_wp_otijd_koppel_text" maxlength="100" class="widefat" value="<?php echo $this->settings['ait_wp_otijd_koppel_text']; ?>">
				</p>
				<p>
					<label for="ait_wp_otijd_pre_text"><strong><?php esc_html_e( 'Tekst VOOR de openingstijd van morgen.', 'ait-wp' ); ?></strong></label>
					<input type="text" name="ait_wp_otijd_pre_text" id="ait_wp_otijd_pre_text" maxlength="100" class="widefat" value="<?php echo $this->settings['ait_wp_otijd_pre_text']; ?>">
				</p>
				<p>
					<label for="ait_wp_otijd_gesloten_text"><strong><?php esc_html_e( 'Tekst NA de openingstijd van morgen.', 'ait-wp' ); ?></strong></label>
					<input type="text" name="ait_wp_otijd_gesloten_text" id="ait_wp_otijd_gesloten_text" maxlength="100" class="widefat" value="<?php echo $this->settings['ait_wp_otijd_gesloten_text']; ?>">
				</p>
			</td>
		</tr>
	</tbody>
</table>
</td>
</tr>
</table>
</div>
<br><br>
<?php wp_nonce_field( $this->plugin->name, $this->plugin->name . '_nonce' ); ?>  
<div class="opslaanknop-wrap">
<input type="submit" name="submit" class="opslaanknop" value="<?php esc_attr_e( 'Wijzigingen Opslaan', 'ait-wp' ); ?>" />
</div>