<?php
if ( isset( $_REQUEST['submit'] ) ) {
	if ( !isset( $_REQUEST[$this->plugin->name.'_nonce'] ) ) {
		$this->errorMessage = __( 'Nonce veld is niet aanwezig. Instellingen NIET opgeslagen.', 'ait-wp' );
    } 
	elseif ( !wp_verify_nonce( $_REQUEST[$this->plugin->name.'_nonce'], $this->plugin->name ) ) {
		$this->errorMessage = __( 'Ongeldige nonce gedefinieerd. Instellingen NIET opgeslagen.', 'ait-wp' );
    } 
	else {			
		update_option( 'ait_wp_cookiebar_buttontext', $_REQUEST['ait_wp_cookiebar_buttontext'] );							
		update_option( 'ait_wp_cookiebar_buttextcolor', $_REQUEST['ait_wp_cookiebar_buttextcolor'] );							
		update_option( 'ait_wp_cookiebar_butbackgroundcolor', $_REQUEST['ait_wp_cookiebar_butbackgroundcolor'] );							
		update_option( 'ait_wp_cookiebar_textcolor', $_REQUEST['ait_wp_cookiebar_textcolor'] );							
		update_option( 'ait_wp_cookiebar_backgroundcolor', $_REQUEST['ait_wp_cookiebar_backgroundcolor'] );							
		update_option( 'ait_wp_cookiebar_bordercolor', $_REQUEST['ait_wp_cookiebar_bordercolor'] );							
		update_option( 'ait_wp_cookiebar_linkpage', $_REQUEST['ait_wp_cookiebar_linkpage'] );							
		update_option( 'ait_wp_cookiebar_linktext', $_REQUEST['ait_wp_cookiebar_linktext'] );							
		update_option( 'ait_wp_cookiebar_linktarget', $_REQUEST['ait_wp_cookiebar_linktarget'] );	
		update_option( 'ait_wp_cookiebar_content', $_REQUEST['ait_wp_cookiebar_content'] );		
		update_option( 'ait_wp_cookiebar_time', $_REQUEST['ait_wp_cookiebar_time'] );	
		update_option( 'ait_wp_cookiebar_name', $_REQUEST['ait_wp_cookiebar_name'] );	
		update_option( 'ait_wp_cookiebar_stijl', $_REQUEST['ait_wp_cookiebar_stijl'] );	
		$this->message = __( 'Instellingen opgeslagen.', 'ait-wp' );
			}
        }
        $this->settings = array(
			'ait_wp_cookiebar' => esc_html( wp_unslash( get_option( 'ait_wp_cookiebar' ) ) ),
			'ait_wp_cookiebar_buttontext' => esc_html( wp_unslash( get_option( 'ait_wp_cookiebar_buttontext' ) ) ),
			'ait_wp_cookiebar_buttextcolor' => esc_html( wp_unslash( get_option( 'ait_wp_cookiebar_buttextcolor' ) ) ),
			'ait_wp_cookiebar_butbackgroundcolor' => esc_html( wp_unslash( get_option( 'ait_wp_cookiebar_butbackgroundcolor' ) ) ),
			'ait_wp_cookiebar_textcolor' => esc_html( wp_unslash( get_option( 'ait_wp_cookiebar_textcolor' ) ) ),
			'ait_wp_cookiebar_backgroundcolor' => esc_html( wp_unslash( get_option( 'ait_wp_cookiebar_backgroundcolor' ) ) ),
			'ait_wp_cookiebar_bordercolor' => esc_html( wp_unslash( get_option( 'ait_wp_cookiebar_bordercolor' ) ) ),
			'ait_wp_cookiebar_linkpage' => esc_html( wp_unslash( get_option( 'ait_wp_cookiebar_linkpage' ) ) ),
			'ait_wp_cookiebar_linktext' => esc_html( wp_unslash( get_option( 'ait_wp_cookiebar_linktext' ) ) ),
			'ait_wp_cookiebar_time' => esc_html( wp_unslash( get_option( 'ait_wp_cookiebar_time' ) ) ),
			'ait_wp_cookiebar_linktarget' => esc_html( wp_unslash( get_option( 'ait_wp_cookiebar_linktarget' ) ) ),
			'ait_wp_cookiebar_content' => esc_html( wp_unslash( get_option( 'ait_wp_cookiebar_content' ) ) ),
			'ait_wp_cookiebar_name' => esc_html( wp_unslash( get_option( 'ait_wp_cookiebar_name' ) ) ),
			'ait_wp_cookiebar_stijl' => esc_html( wp_unslash( get_option( 'ait_wp_cookiebar_stijl' ) ) ),
);
?>
<?php if($this->settings['ait_wp_cookiebar'] == 'yes'){}else{die ("Functie Uitgeschakeld");}?>
<?php
if ( isset( $this->message ) ) {
?>
<div class="updated fade"><p><?php echo $this->message; ?></p></div>
<?php
}
if ( isset( $this->errorMessage ) ) {
?>
<div class="error fade"><p><?php echo $this->errorMessage; ?></p></div>
<?php
}
?>
<div class="tab-content">
<br><br>
<table width="100%">
<tr>
<td width="50%" height="100%" valign="top">
<table class="widefat">
	<thead>
		<tr>
			<th><strong>Cookiebalk opties en eigenschappen</strong></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>
				<p>
					<label for="ait_wp_cookiebar_stijl"><strong><?php esc_html_e( 'Stijl van de cookiemelding', 'ait-wp' ); ?></strong></label><br>
					<input type="radio" id="ait_wp_cookiebar_stijl" name="ait_wp_cookiebar_stijl" value="1" <?php echo ( $this->settings['ait_wp_cookiebar_stijl'] == '1' ) ? ' checked="checked"' : ''; ?> /><?php _e('Stijl 1 (balk)', 'ait-wp'); ?>
					<input type="radio" id="ait_wp_cookiebar_stijl" name="ait_wp_cookiebar_stijl" value="2" <?php echo ( $this->settings['ait_wp_cookiebar_stijl'] == '2' ) ? ' checked="checked" ' : ''; ?> /><?php _e('Stijl 2 (blok)', 'ait-wp'); ?>
				</p>
				<p>
					<label for="ait_wp_cookiebar_buttontext"><strong><?php esc_html_e( 'Knoptekst.', 'ait-wp' ); ?></strong></label><br>
					<input type="text" name="ait_wp_cookiebar_buttontext" id="ait_wp_cookiebar_buttontext" class="widefat" maxlength="15" value="<?php echo $this->settings['ait_wp_cookiebar_buttontext']; ?>"><?php esc_html_e(' bijvoorbeeld: accepteren, oké of akkoord', 'ait-wp'); ?>
				</p>
				<p>
					<label for="ait_wp_cookiebar_buttextcolor"><strong><?php esc_html_e( 'Tekstkleur (knop).', 'ait-wp' ); ?></strong></label><br>
					<input type="color" name="ait_wp_cookiebar_buttextcolor" id="ait_wp_cookiebar_buttextcolor" value="<?php echo $this->settings['ait_wp_cookiebar_buttextcolor']; ?>">
				</p>
				<p>
					<label for="ait_wp_cookiebar_butbackgroundcolor"><strong><?php esc_html_e( 'Achtergrondkleur (knop).', 'ait-wp' ); ?></strong></label><br>
					<input type="color" name="ait_wp_cookiebar_butbackgroundcolor" id="ait_wp_cookiebar_butbackgroundcolor" value="<?php echo $this->settings['ait_wp_cookiebar_butbackgroundcolor']; ?>">
				</p>
				<p>
					<label for="ait_wp_cookiebar_backgroundcolor"><strong><?php esc_html_e( 'Achtergrondkleur Container.', 'ait-wp' ); ?></strong></label><br>
					<input type="color" name="ait_wp_cookiebar_backgroundcolor" id="ait_wp_cookiebar_backgroundcolor" value="<?php echo $this->settings['ait_wp_cookiebar_backgroundcolor']; ?>">
				</p>
				<p>
					<label for="ait_wp_cookiebar_textcolor"><strong><?php esc_html_e( 'Tekstkleur Container.', 'ait-wp' ); ?></strong></label><br>
					<input type="color" name="ait_wp_cookiebar_textcolor" id="ait_wp_cookiebar_textcolor" value="<?php echo $this->settings['ait_wp_cookiebar_textcolor']; ?>">
				</p>
				<p>
					<label for="ait_wp_cookiebar_bordercolor"><strong><?php esc_html_e( 'Randkleur Container.', 'ait-wp' ); ?></strong></label><br>
					<input type="color" name="ait_wp_cookiebar_bordercolor" id="ait_wp_cookiebar_bordercolor" value="<?php echo $this->settings['ait_wp_cookiebar_bordercolor']; ?>">
				</p>
				<p>
					<label for="ait_wp_cookiebar_linkpage"><strong><?php esc_html_e( 'Link naar cookiebeleid-pagina.', 'ait-wp' ); ?></strong></label><br>
					<input type="text" name="ait_wp_cookiebar_linkpage" id="ait_wp_cookiebar_linkpage" class="widefat" maxlength="200" value="<?php echo $this->settings['ait_wp_cookiebar_linkpage']; ?>"><?php esc_html_e('', 'ait-wp'); ?>
				</p>
				<p>
					<label for="ait_wp_cookiebar_linktext"><strong><?php esc_html_e( 'Linktekst.', 'ait-wp' ); ?></strong></label><br>
					<input type="text" name="ait_wp_cookiebar_linktext" id="ait_wp_cookiebar_linktext" class="widefat" value="<?php echo $this->settings['ait_wp_cookiebar_linktext']; ?>"><?php esc_html_e('Bijvoorbeeld: Meer informatie of Lees meer.', 'ait-wp'); ?>
				</p>
				<p>
					<label for="ait_wp_cookiebar_linktarget"><strong><?php esc_html_e( 'Doelvenster van de link.', 'ait-wp' ); ?></strong></label><br>
					<input type="text" name="ait_wp_cookiebar_linktarget" id="ait_wp_cookiebar_linktarget" class="widefat" value="<?php echo $this->settings['ait_wp_cookiebar_linktarget']; ?>"><?php esc_html_e('_blank = nieuw, _self = huidig', 'ait-wp'); ?>
				</p>
				<p>
					<label for="ait_wp_cookiebar_time"><strong><?php esc_html_e( 'Aantal dagen dat de cookiebalk weg blijft.', 'ait-wp' ); ?></strong></label><br>
					<input type="text" name="ait_wp_cookiebar_time" id="ait_wp_cookiebar_time" class="widefat" value="<?php echo $this->settings['ait_wp_cookiebar_time']; ?>"><?php esc_html_e('Standaard: 90', 'ait-wp'); ?>
				</p>
				<p>
					<label for="ait_wp_cookiebar_name"><strong><?php esc_html_e( 'Naam van de cookie. Verander deze om de cookie te resetten op alle apparaten.', 'ait-wp' ); ?></strong></label><br>
					<input type="text" name="ait_wp_cookiebar_name" id="ait_wp_cookiebar_name" class="widefat" value="<?php echo $this->settings['ait_wp_cookiebar_name']; ?>"><?php esc_html_e('Standaard: cookie', 'ait-wp'); ?>
				</p>
				<p>
					<label for="ait_wp_cookiebar_content"><strong><?php esc_html_e( 'Inhoud van de cookiebalk.', 'ait-wp' ); ?></strong></label><br>
					<textarea name="ait_wp_cookiebar_content" id="ait_wp_cookiebar_content" class="widefat" rows="8"><?php echo $this->settings['ait_wp_cookiebar_content']; ?></textarea><?php esc_html_e('', 'ait-wp'); ?>
				</p>
			</td>
		</tr>
	</tbody>
</table>
</td>
<td width="50%" height="100%" valign="top">
&nbsp;
</td>
</tr>
</table>
</div>
<br><br>
<?php wp_nonce_field( $this->plugin->name, $this->plugin->name . '_nonce' ); ?>   
<div class="opslaanknop-wrap">
<input type="submit" name="submit" class="opslaanknop" value="<?php esc_attr_e( 'Wijzigingen Opslaan', 'ait-wp' ); ?>" />
</div>