<?php
if ( isset( $_REQUEST['submit'] ) ) {
	if ( !isset( $_REQUEST[$this->plugin->name.'_nonce'] ) ) {
		$this->errorMessage = __( 'Nonce veld is niet aanwezig. Instellingen NIET opgeslagen.', 'ait-wp' );
    } 
	elseif ( !wp_verify_nonce( $_REQUEST[$this->plugin->name.'_nonce'], $this->plugin->name ) ) {
		$this->errorMessage = __( 'Ongeldige nonce gedefinieerd. Instellingen NIET opgeslagen.', 'ait-wp' );
    } 
	else {	
		if (empty($_POST['ait_wp_onderhoud_eigen'])) {
			update_option('ait_wp_onderhoud_eigen', 'no');
		} else if ($_POST['ait_wp_onderhoud_eigen'] == 'yes') {
			update_option('ait_wp_onderhoud_eigen', 'yes');
		}	
		update_option( 'ait_wp_onderhoud_pagina', $_REQUEST['ait_wp_onderhoud_pagina'] );
		update_option( 'ait_wp_onderhoud_title', $_REQUEST['ait_wp_onderhoud_title'] );
		update_option( 'ait_wp_onderhoud_text', $_REQUEST['ait_wp_onderhoud_text'] );
		$this->message = __( 'Instellingen opgeslagen.', 'ait-wp' );
	}
}
$this->settings = array(
	'ait_wp_onderhoud_pagina' => esc_html( wp_unslash( get_option( 'ait_wp_onderhoud_pagina' ) ) ),
	'ait_wp_onderhoud_sw' => esc_html( wp_unslash( get_option( 'ait_wp_onderhoud_sw' ) ) ),
	'ait_wp_onderhoud_eigen' => esc_html( wp_unslash( get_option( 'ait_wp_onderhoud_eigen' ) ) ),
	'ait_wp_onderhoud_title' => esc_html( wp_unslash( get_option( 'ait_wp_onderhoud_title' ) ) ),
	'ait_wp_onderhoud_text' => esc_html( wp_unslash( get_option( 'ait_wp_onderhoud_text' ) ) ),
);
?>
<?php if($this->settings['ait_wp_onderhoud_sw'] == 'yes'){}else{die ("Functie Uitgeschakeld");}?>
<?php
if ( isset( $this->message ) ) {
?>
<div class="updated fade"><p><?php echo $this->message; ?></p></div>
<?php
}
if ( isset( $this->errorMessage ) ) {
?>
<div class="error fade"><p><?php echo $this->errorMessage; ?></p></div>
<?php
}
?>
<div class="tab-content">
<br><br>
<table width="100%">
<tr>
<td width="50%" height="100%" valign="top">
<table class="widefat">
	<thead>
		<tr>
			<th><strong>Onderhoudsmodus.</strong></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td width="50%">
				<p>
					<label for="ait_wp_onderhoud_title"><strong><?php esc_html_e( 'Tekst in de titel.', 'ait-wp' ); ?></strong></label><br>
					<input type="text" name="ait_wp_onderhoud_title" id="ait_wp_onderhoud_title" class="widefat" value="<?php echo $this->settings['ait_wp_onderhoud_title']; ?>" <?php if($this->settings['ait_wp_onderhoud_eigen'] == 'yes') echo 'disabled';?>>
				</p>
				<p>
					<label for="ait_wp_onderhoud_text"><strong><?php esc_html_e( 'Inhoud van de cookiebalk.', 'ait-wp' ); ?></strong></label><br>
					<textarea name="ait_wp_onderhoud_text" id="ait_wp_onderhoud_text" class="widefat" rows="5" <?php if($this->settings['ait_wp_onderhoud_eigen'] == 'yes') echo 'disabled';?>><?php echo $this->settings['ait_wp_onderhoud_text']; ?></textarea>
				</p>
				<p>
					<input type="checkbox" class="toggle" style="display:none;" id="ait_wp_onderhoud_eigen" name="ait_wp_onderhoud_eigen" value="yes" <?php if($this->settings['ait_wp_onderhoud_eigen'] == 'yes'){echo 'checked';} ?>/>
					<label for="ait_wp_onderhoud_eigen" class="label"></label>
					<span>Eigen pagina kiezen</span>
				</p>
				<p>
					Kies een pagina die je wilt gebruiken als "onderhoud" of "binnenkort" pagina. Je kan pagina's van alle editors kiezen. tip: elementor canvas.
				</p>
				<p>
					<label for="ait_wp_onderhoud_pagina"><strong><?php esc_html_e( 'Kies de onderhoudspagina.', 'ait-wp' ); ?></strong></label><br>
					<select name="ait_wp_onderhoud_pagina" <?php if($this->settings['ait_wp_onderhoud_eigen'] == 'no') echo 'disabled';?>>
						<?php
						$pages = get_pages();
						foreach ($pages as $page) {
							$selected = ($page->post_name === $pagiena) ? 'selected' : '';
							echo '<option value="' . $page->post_name . '" ' . $selected . '>' . $page->post_title . '</option>';
						}
						?>
					</select>
				</p>
				<?php 
				if($this->settings['ait_wp_onderhoud_eigen'] == 'yes') {
					echo '
					<input type="text" name="ait_wp_onderhoud_title" id="ait_wp_onderhoud_title" value="'.$this->settings['ait_wp_onderhoud_title'].'" hidden>
					<input type="text" name="ait_wp_onderhoud_text" id="ait_wp_onderhoud_text" value="'.$this->settings['ait_wp_onderhoud_text'].'" hidden>
					';
				} else if($this->settings['ait_wp_onderhoud_eigen'] == 'no') {
					echo '
					<input type="text" name="ait_wp_onderhoud_pagina" id="ait_wp_onderhoud_pagina" value="'.$this->settings['ait_wp_onderhoud_pagina'].'" hidden>
					';
				}
				?>
			</td>
		</tr>
	</tbody>
</table>
</td>
<td width="50%" height="100%" valign="top">
</td>
</tr>
</table>
</div>
<br><br>
<?php wp_nonce_field( $this->plugin->name, $this->plugin->name . '_nonce' ); ?>   
<div class="opslaanknop-wrap">
<input type="submit" name="submit" class="opslaanknop" value="<?php esc_attr_e( 'Wijzigingen Opslaan', 'ait-wp' ); ?>" />
</div>