<?php
if ( isset( $_REQUEST['submit'] ) ) {
	if ( !isset( $_REQUEST[$this->plugin->name.'_nonce'] ) ) {
		$this->errorMessage = __( 'Nonce veld is niet aanwezig. Instellingen NIET opgeslagen.', 'ait-wp' );
    } 
	elseif ( !wp_verify_nonce( $_REQUEST[$this->plugin->name.'_nonce'], $this->plugin->name ) ) {
		$this->errorMessage = __( 'Ongeldige nonce gedefinieerd. Instellingen NIET opgeslagen.', 'ait-wp' );
    } 
	else {			
				update_option( 'ait_wp_promobar_bgcolor', $_REQUEST['ait_wp_promobar_bgcolor'] );
				update_option( 'ait_wp_promobar_textcolor', $_REQUEST['ait_wp_promobar_textcolor'] );
				update_option( 'ait_wp_promobar_height', $_REQUEST['ait_wp_promobar_height'] );
				update_option( 'ait_wp_promobar_content', $_REQUEST['ait_wp_promobar_content'] );
				$this->message = __( 'Instellingen opgeslagen.', 'ait-wp' );
			}
        }
        $this->settings = array(
			'ait_wp_promobar_bgcolor' => esc_html( wp_unslash( get_option( 'ait_wp_promobar_bgcolor' ) ) ),
			'ait_wp_promobar_textcolor' => esc_html( wp_unslash( get_option( 'ait_wp_promobar_textcolor' ) ) ),
			'ait_wp_promobar_height' => esc_html( wp_unslash( get_option( 'ait_wp_promobar_height' ) ) ),
			'ait_wp_promobar_content' => esc_html( wp_unslash( get_option( 'ait_wp_promobar_content' ) ) ),
);
?>
<?php
if ( isset( $this->message ) ) {
?>
<div class="updated fade"><p><?php echo $this->message; ?></p></div>
<?php
}
if ( isset( $this->errorMessage ) ) {
?>
<div class="error fade"><p><?php echo $this->errorMessage; ?></p></div>
<?php
}
?>
<div class="tab-content">
<br><br>
<table width="100%">
<tr>
<td width="50%" height="100%" valign="top">
<table class="widefat">
	<thead>
		<tr>
			<th><strong>Promotiebalk opties en eigenschappen (niet alle thema's zijn geschikt)</strong></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>
				<p>
					<label for="ait_wp_promobar_bgcolor"><strong><?php esc_html_e( 'Achtergrondkleur Promotiebalk.', 'ait-wp' ); ?></strong></label><br>
					<input type="color" name="ait_wp_promobar_bgcolor" id="ait_wp_promobar_bgcolor" value="<?php echo $this->settings['ait_wp_promobar_bgcolor']; ?>">
				</p>
				<p>
					<label for="ait_wp_promobar_textcolor"><strong><?php esc_html_e( 'Kleur van de inhoud.', 'ait-wp' ); ?></strong></label><br>
					<input type="color" name="ait_wp_promobar_textcolor" id="ait_wp_promobar_textcolor" size="10" maxlength="7" value="<?php echo $this->settings['ait_wp_promobar_textcolor']; ?>">
				</p>
				<p>
					<label for="ait_wp_promobar_height"><strong><?php esc_html_e( 'Hoogte van de promotiebalk in pixels (aanbevolen: 48).', 'ait-wp' ); ?></strong></label><br>
					<input type="text" name="ait_wp_promobar_height" id="ait_wp_promobar_height" size="10" maxlength="7" value="<?php echo $this->settings['ait_wp_promobar_height']; ?>"><?php esc_html_e('px', 'ait-wp'); ?>
				</p>
				<p>
					<label for="ait_wp_promobar_content"><strong><?php esc_html_e( 'Inhoud van de promotiebalk.', 'ait-wp' ); ?></strong></label><br>
					<textarea name="ait_wp_promobar_content" id="ait_wp_promobar_content" class="widefat" rows="8"><?php echo $this->settings['ait_wp_promobar_content']; ?></textarea><?php esc_html_e('U kunt HTML gebruiken.', 'ait-wp'); ?>
				</p>
			</td>
		</tr>
	</tbody>
</table>
</td>
<td width="50%" height="100%" valign="top">
&nbsp;
</td>
</tr>
</table>
</div>
<br><br>
<?php wp_nonce_field( $this->plugin->name, $this->plugin->name . '_nonce' ); ?>   
<div class="opslaanknop-wrap">
<input type="submit" name="submit" class="opslaanknop" value="<?php esc_attr_e( 'Wijzigingen Opslaan', 'ait-wp' ); ?>" />
</div>