<style type="text/css">
.aitform_field_large {
    max-width: 100%;
    display: block;
    width: 100%;
}
.ait_wp_admin_warning {
    z-index: 100;
    background-color: #E67E7E;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 10px;
	padding-right: 10px;  
}
.ait_wp_admin_success {
    z-index: 100;
    background-color: #A2E67E;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 10px;
	padding-right: 10px;
}
.ait_wp_admin_midnote {
    z-index: 100;
    background-color: #e6d67e;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 10px;
	padding-right: 10px;
}
.ait_wp_admin_notice {
    z-index: 100;
    background-color: #7ec7e6;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 10px;
	padding-right: 10px;
}
.ait_wp_admin_info {
    z-index: 100;
    background-color: #dcdcdc;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 10px;
	padding-right: 10px;
}
.toggle {
  display: none;
}
.label {
  display: inline-block;
  width: 40px;
  height: 20px;
  background-color: #ccc;
  border-radius: 10px;
  position: relative;
  cursor: pointer;
  margin-right: 15px;
}
.label::before {
  content: "";
  position: absolute;
  top: 2px;
  left: 2px;
  width: 16px;
  height: 16px;
  background-color: white;
  border-radius: 50%;
  transition: transform 0.3s;
}
.toggle:checked + .label {
  background-color: #dd9933;
}
.toggle:checked + .label::before {
  transform: translateX(20px);
}
.gobutton {
    display: inline-block;
    width: 40px;
    height: 20px;
    border-radius: 10px;
    position: relative;
    margin-right: 15px;
    background-color: #ccc;
    border: none;
}
.gobutton:hover {
    color: #fff;
    cursor: pointer;
    background-color: #dd9933;
}
.gobutton:disabled {
    color: #434343;
    cursor: pointer;
    background-color: #efefef;
}
.opslaanknop {
    color: #FFFFFF;
    background-color: #dd9933;
    text-align: center;
    float: right;
    padding: 15px;
    margin: 25px;
    font-size: 18px;
    border: 0;
    border-radius: 200px;
    cursor: pointer;
}
.opslaanknop:hover {
    color: #FFFFFF;
    background-color: #434343;
}
.opslaanknop-wrap {
    display: block;
    z-index: 999;
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
}
#wpcontent  {
    margin-left: 140px;
}
#footer-left {
    display:none;
}
#footer-upgrade {
    display:none;
}
#wrapait {
    margin: 10px 25px 10px 25px;
}
.deletebuttonwrap {
    display: block;
    width: 100%;
    background-color: #efefef;
    margin-bottom: 10px;
    padding: 5px;
    box-sizing: border-box;
}
.deletebutton {
    color: #FFFFFF;
    background-color: #dd9933;
    text-align: center;
    padding: 5px;
    border-radius: 3px;
    cursor: pointer;
    border: 0;
}
.deletebutton:hover {
    color: #FFFFFF;
    background-color: #434343;
}
.form_field_admin {
    display: inline-block;
    width: 300;
    margin-right: 15px;
    border: 1px solid #f1f1f1;
}
</style>
<?php
$this->settings = array(
	'ait_wp_disablexml' => esc_html( wp_unslash( get_option( 'ait_wp_disablexml' ) ) ),
	'ait_wp_hosting_koppeling' => esc_html( wp_unslash( get_option( 'ait_wp_hosting_koppeling' ) ) ),
	'ait_wp_cookiebar' => esc_html( wp_unslash( get_option( 'ait_wp_cookiebar' ) ) ),
	'ait_wp_promobar_enabled' => esc_html( wp_unslash( get_option( 'ait_wp_promobar_enabled' ) ) ),
	'ait_wp_openinghours' => esc_html( wp_unslash( get_option( 'ait_wp_openinghours' ) ) ),
	'ait_wp_custom_login_logo' => esc_html( wp_unslash( get_option( 'ait_wp_custom_login_logo' ) ) ),
	'ait_wp_contactform' => esc_html( wp_unslash( get_option( 'ait_wp_contactform' ) ) ),
	'ait_wp_woocomm' => esc_html( wp_unslash( get_option( 'ait_wp_woocomm' ) ) ),
    'ait_wp_onderhoud_sw' => esc_html( wp_unslash( get_option( 'ait_wp_onderhoud_sw' ) ) ),
);
?>
<form name="instellingen_opslaan" id="instellingen_opslaan" action="admin.php?page=<?php echo $this->plugin->name; ?>&tab=<?php if (empty($_GET['tab'])){echo'default';}else{echo $_GET['tab'];} ?>" method="post">
<div id="wrapait" class="wrap">
    <h1><?php echo $this->plugin->displayName; ?> <?php echo $this->plugin->version; ?></h1>
    <?php
	if( isset( $_GET[ 'tab' ] ) ) {
    $active_tab = isset( $_GET[ 'tab' ] ) ? $_GET[ 'tab' ] : 'default';
	} else {
        $active_tab = 'default';
    }
	?>
        <h2 class="nav-tab-wrapper">
            <a href="?page=<?php echo $this->plugin->name; ?>&tab=default" class="nav-tab <?php echo $active_tab == 'default' ? 'nav-tab-active' : ''; ?>">Home</a>
            <?php if($this->settings['ait_wp_woocomm'] == 'yes'){
                echo '<a href="?page='.$this->plugin->name.'&tab=woocommerce" class="nav-tab ';echo $active_tab == 'woocommerce' ? 'nav-tab-active' : '';echo'">WooCommerce</a>';
            }
            ?>
            <?php if($this->settings['ait_wp_onderhoud_sw'] == 'yes'){
                echo '<a href="?page='.$this->plugin->name.'&tab=onderhoudsmodus" class="nav-tab ';echo $active_tab == 'onderhoudsmodus' ? 'nav-tab-active' : '';echo'">Onderhoudsmodus</a>';
            }
            ?>
            <?php if($this->settings['ait_wp_cookiebar'] == 'yes'){
                echo '<a href="?page='.$this->plugin->name.'&tab=cookiebar" class="nav-tab ';echo $active_tab == 'cookiebar' ? 'nav-tab-active' : '';echo'">Cookiemelding</a>';
            }
            ?>
            <?php if($this->settings['ait_wp_custom_login_logo'] == 'yes'){
                echo '<a href="?page='.$this->plugin->name.'&tab=veranderlogin" class="nav-tab ';echo $active_tab == 'veranderlogin' ? 'nav-tab-active' : '';echo'">Verander Login</a>';
            }
            ?>
            <?php if($this->settings['ait_wp_openinghours'] == 'yes'){
                echo '<a href="?page='.$this->plugin->name.'&tab=openingstijden_opties" class="nav-tab ';echo $active_tab == 'openingstijden_opties' ? 'nav-tab-active' : '';echo'">Openingstijden</a>';
            }
            ?>
            <?php if($this->settings['ait_wp_contactform'] == 'yes'){
                echo '<a href="?page='.$this->plugin->name.'&tab=contactformulier_opties" class="nav-tab ';echo $active_tab == 'contactformulier_opties' ? 'nav-tab-active' : '';echo'">Contactformulier</a>';
            }
            ?>
            <?php if($this->settings['ait_wp_hosting_koppeling'] == 'yes'){
                echo '<a href="?page='.$this->plugin->name.'&tab=directadmin" class="nav-tab ';echo $active_tab == 'directadmin' ? 'nav-tab-active' : '';echo'">Directadmin</a>';
            }
            ?>
            <?php if($this->settings['ait_wp_promobar_enabled'] == 'yes'){
                echo '<a href="?page='.$this->plugin->name.'&tab=promobar" class="nav-tab ';echo $active_tab == 'promobar' ? 'nav-tab-active' : '';echo'">Promobalk</a>';
            }
            ?>
			<a href="?page=<?php echo $this->plugin->name; ?>&tab=shortcodes" class="nav-tab <?php echo $active_tab == 'shortcodes' ? 'nav-tab-active' : ''; ?>">Shortcodes</a>
			<a href="?page=<?php echo $this->plugin->name; ?>&tab=headerfooter_opties" class="nav-tab <?php echo $active_tab == 'headerfooter_opties' ? 'nav-tab-active' : ''; ?>">Scripts</a>            
            <a href="?page=<?php echo $this->plugin->name; ?>&tab=overdezeplugin" class="nav-tab <?php echo $active_tab == 'overdezeplugin' ? 'nav-tab-active' : ''; ?>">Over</a>
        </h2>
 	<?php  
        if( $active_tab == 'overdezeplugin' ) {
            require_once( $this->plugin->folder . '/includes/overdezeplugin.php' );
        } 
		else 
		if( $active_tab == 'openingstijden_opties' ) {
            require_once( $this->plugin->folder . '/includes/openingstijden.php' );
        }
		else 
        if( $active_tab == 'veranderlogin' ) {
            require_once( $this->plugin->folder . '/includes/veranderlogin.php' );
        }
		else 
		if( $active_tab == 'contactformulier_opties' ) {
            require_once( $this->plugin->folder . '/includes/contactformulier.php' );
        }
		else 
		if( $active_tab == 'shortcodes' ) {
            require_once( $this->plugin->folder . '/includes/insluiten.php' );
        }
		else 
		if( $active_tab == 'headerfooter_opties' ) {
            require_once( $this->plugin->folder . '/includes/codeinvoegen.php' );
        }
		else 
		if( $active_tab == 'directadmin' ) {
            require_once( $this->plugin->folder . '/includes/directadmin.php' );
        }
		else 
		if( $active_tab == 'promobar' ) {
            require_once( $this->plugin->folder . '/includes/promobar.php' );
        }
		else 
		if( $active_tab == 'cookiebar' ) {
            require_once( $this->plugin->folder . '/includes/cookiebar.php' );
        }
		else 
        if( $active_tab == 'woocommerce' ) {
            require_once( $this->plugin->folder . '/includes/woocommerce.php' );
        }
		else 
        if( $active_tab == 'onderhoudsmodus' ) {
            require_once( $this->plugin->folder . '/includes/onderhoud.php' );
        }
		else 
		if( $active_tab == 'default' ) {
            require_once( $this->plugin->folder . '/includes/default.php' );
        }
		else 
		{
            require_once( $this->plugin->folder . '/includes/default.php' );
        }     
    ?>
</div>