<?php
if ( isset( $_REQUEST['submit'] ) ) {
	if ( !isset( $_REQUEST[$this->plugin->name.'_nonce'] ) ) {
		$this->errorMessage = __( 'Nonce veld is niet aanwezig. Instellingen NIET opgeslagen.', 'ait-wp' );
    } 
	elseif ( !wp_verify_nonce( $_REQUEST[$this->plugin->name.'_nonce'], $this->plugin->name ) ) {
		$this->errorMessage = __( 'Ongeldige nonce gedefinieerd. Instellingen NIET opgeslagen.', 'ait-wp' );
    } 
	else {	
		if (empty($_POST['ait_wp_custom_login_taal'])) {
			update_option('ait_wp_custom_login_taal', 'no');
		} else if ($_POST['ait_wp_custom_login_taal'] == 'yes') {
			update_option('ait_wp_custom_login_taal', 'yes');
		} 		
		update_option( 'ait_wp_custom_login_primair', $_REQUEST['ait_wp_custom_login_primair'] );
		update_option( 'ait_wp_custom_login_secundair', $_REQUEST['ait_wp_custom_login_secundair'] );
		$this->message = __( 'Instellingen opgeslagen.', 'ait-wp' );
	}
}
$this->settings = array(
	'ait_wp_custom_login_logo' => esc_html( wp_unslash( get_option( 'ait_wp_custom_login_logo' ) ) ),
	'ait_wp_custom_login_taal' => esc_html( wp_unslash( get_option( 'ait_wp_custom_login_taal' ) ) ),
	'ait_wp_custom_login_primair' => esc_html( wp_unslash( get_option( 'ait_wp_custom_login_primair' ) ) ),
	'ait_wp_custom_login_secundair' => esc_html( wp_unslash( get_option( 'ait_wp_custom_login_secundair' ) ) ),
);
?>
<?php if($this->settings['ait_wp_custom_login_logo'] == 'yes'){}else{die ("Functie Uitgeschakeld");}?>
<?php
if ( isset( $this->message ) ) {
?>
<div class="updated fade"><p><?php echo $this->message; ?></p></div>
<?php
}
if ( isset( $this->errorMessage ) ) {
?>
<div class="error fade"><p><?php echo $this->errorMessage; ?></p></div>
<?php
}
?>
<div class="tab-content">
<br><br>
<table width="100%">
<tr>
<td width="50%" height="100%" valign="top">
<table class="widefat">
	<thead>
		<tr>
			<th><strong>Login pagina (wp-login.php) aanpassen.</strong></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td width="50%">
				<p>
					Met deze functie zal het Wordpress logo op de login-pagina vervangen worden door het logo zoals dat is ingesteld in de customizer. Met onderstaande instellingen kunt u de knop en rand van het login-formulier aanpassen.
				</p>
				<p>
					<label for="ait_wp_custom_login_primair"><strong><?php esc_html_e( 'Primaire kleur:', 'ait-wp' ); ?></strong></label><br>
					<input type="color" name="ait_wp_custom_login_primair" id="ait_wp_custom_login_primair" value="<?php echo $this->settings['ait_wp_custom_login_primair']; ?>">
				</p>
				<p>
					<label for="ait_wp_custom_login_secundair"><strong><?php esc_html_e( 'Secundaire kleur:', 'ait-wp' ); ?></strong></label><br>
					<input type="color" name="ait_wp_custom_login_secundair" id="ait_wp_custom_login_secundair" value="<?php echo $this->settings['ait_wp_custom_login_secundair']; ?>">
				</p>
			</td>
		</tr>
	</tbody>
</table>
</td>
<td width="50%" height="100%" valign="top">
<table class="widefat">
	<thead>
		<tr>
			<th><strong>Extra Opties</strong></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td width="50%">
				<p>
					<input type="checkbox" class="toggle" style="display:none;" id="ait_wp_custom_login_taal" name="ait_wp_custom_login_taal" value="yes" <?php if($this->settings['ait_wp_custom_login_taal'] == 'yes'){echo 'checked';} ?>/>
					<label for="ait_wp_custom_login_taal" class="label"></label>
					<span>Taalkiezer verbergen</span>
				</p>
			</td>
		</tr>
	</tbody>
</table>
</td>
</tr>
</table>
</div>
<br><br>
<?php wp_nonce_field( $this->plugin->name, $this->plugin->name . '_nonce' ); ?>   
<div class="opslaanknop-wrap">
<input type="submit" name="submit" class="opslaanknop" value="<?php esc_attr_e( 'Wijzigingen Opslaan', 'ait-wp' ); ?>" />
</div>