<?php
if ( isset( $_REQUEST['submit'] ) ) {
	if ( !isset( $_REQUEST[$this->plugin->name.'_nonce'] ) ) {
		$this->errorMessage = __( 'Nonce veld is niet aanwezig. Instellingen NIET opgeslagen.', 'ait-wp' );
    } 
	elseif ( !wp_verify_nonce( $_REQUEST[$this->plugin->name.'_nonce'], $this->plugin->name ) ) {
		$this->errorMessage = __( 'Ongeldige nonce gedefinieerd. Instellingen NIET opgeslagen.', 'ait-wp' );
    } 
	else {		
		if (empty($_POST['ait_wp_woocomm_buttontextsw'])) {
			update_option('ait_wp_woocomm_buttontextsw', 'no');
		} else if ($_POST['ait_wp_woocomm_buttontextsw'] == 'yes') {
			update_option('ait_wp_woocomm_buttontextsw', 'yes');
		} 
		if (empty($_POST['ait_wp_woocomm_hideweight'])) {
			update_option('ait_wp_woocomm_hideweight', 'no');
		} else if ($_POST['ait_wp_woocomm_hideweight'] == 'yes') {
			update_option('ait_wp_woocomm_hideweight', 'yes');
		} 	
		if (empty($_POST['ait_wp_woocomm_changetitle'])) {
			update_option('ait_wp_woocomm_changetitle', 'no');
		} else if ($_POST['ait_wp_woocomm_changetitle'] == 'yes') {
			update_option('ait_wp_woocomm_changetitle', 'yes');
		} 
		if (empty($_POST['ait_wp_woocomm_badges_sw'])) {
			update_option('ait_wp_woocomm_badges_sw', 'no');
		} else if ($_POST['ait_wp_woocomm_badges_sw'] == 'yes') {
			update_option('ait_wp_woocomm_badges_sw', 'yes');
		} 
		if (empty($_POST['ait_wp_woocomm_verify_email'])) {
			update_option('ait_wp_woocomm_verify_email', 'no');
		} else if ($_POST['ait_wp_woocomm_verify_email'] == 'yes') {
			update_option('ait_wp_woocomm_verify_email', 'yes');
		} 
		if (empty($_POST['ait_wp_woocomm_scanner'])) {
			update_option('ait_wp_woocomm_scanner', 'no');
		} else if ($_POST['ait_wp_woocomm_scanner'] == 'yes') {
			update_option('ait_wp_woocomm_scanner', 'yes');
		} 
		if (empty($_POST['ait_wp_woocomm_cat_images'])) {
			update_option('ait_wp_woocomm_cat_images', 'no');
		} else if ($_POST['ait_wp_woocomm_cat_images'] == 'yes') {
			update_option('ait_wp_woocomm_cat_images', 'yes');
		} 
		update_option( 'ait_wp_woocomm_buttontext', $_REQUEST['ait_wp_woocomm_buttontext'] );
		update_option( 'ait_wp_woocomm_newtitle', $_REQUEST['ait_wp_woocomm_newtitle'] );
		update_option( 'ait_wp_woocomm_badges_bgcolor', $_REQUEST['ait_wp_woocomm_badges_bgcolor'] );
		update_option( 'ait_wp_woocomm_badges_txtcolor', $_REQUEST['ait_wp_woocomm_badges_txtcolor'] );
		$this->message = __( 'Instellingen opgeslagen.', 'ait-wp' );
	}
}
if (isset($_POST['badgenieuw']) && !empty($_POST['data'])) {
	$new_item = sanitize_text_field($_POST['data']);

	// De opgeslagen array ophalen
	$array_data = unserialize(get_option('ait_wp_woocomm_badges', array()));

	// Het nieuwe item toevoegen aan de array
	$array_data[$_POST['new_item']] = $new_item;
	$arraydone = serialize($array_data);
	// De bijgewerkte array opslaan in WordPress-opties
	update_option('ait_wp_woocomm_badges', $arraydone);
}
if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST['remove_item'])) {
    $item_to_remove = sanitize_text_field($_POST['remove_item']);

    // De opgeslagen array ophalen
    $array_data = unserialize(get_option('ait_wp_woocomm_badges', array()));

    // Zoek het te verwijderen item en verwijder het
    if (isset($array_data[$item_to_remove])) {
        unset($array_data[$item_to_remove]);

        // De bijgewerkte array opslaan in WordPress-opties
        update_option('ait_wp_woocomm_badges', serialize($array_data));
    }
}
$this->settings = array(
	'ait_wp_woocomm' => esc_html( wp_unslash( get_option( 'ait_wp_woocomm' ) ) ),
	'ait_wp_woocomm_buttontextsw' => esc_html( wp_unslash( get_option( 'ait_wp_woocomm_buttontextsw' ) ) ),
	'ait_wp_woocomm_buttontext' => esc_html( wp_unslash( get_option( 'ait_wp_woocomm_buttontext' ) ) ),
	'ait_wp_woocomm_hideweight' => esc_html( wp_unslash( get_option( 'ait_wp_woocomm_hideweight' ) ) ),
	'ait_wp_woocomm_changetitle' => esc_html( wp_unslash( get_option( 'ait_wp_woocomm_changetitle' ) ) ),
	'ait_wp_woocomm_newtitle' => esc_html( wp_unslash( get_option( 'ait_wp_woocomm_newtitle' ) ) ),
	'ait_wp_woocomm_badges_sw' => esc_html( wp_unslash( get_option( 'ait_wp_woocomm_badges_sw' ) ) ),
	'ait_wp_woocomm_badges_bgcolor' => esc_html( wp_unslash( get_option( 'ait_wp_woocomm_badges_bgcolor' ) ) ),
	'ait_wp_woocomm_badges_txtcolor' => esc_html( wp_unslash( get_option( 'ait_wp_woocomm_badges_txtcolor' ) ) ),
	'ait_wp_woocomm_verify_email' => esc_html( wp_unslash( get_option( 'ait_wp_woocomm_verify_email' ) ) ),
	'ait_wp_woocomm_scanner' => esc_html( wp_unslash( get_option( 'ait_wp_woocomm_scanner' ) ) ),
	'ait_wp_woocomm_cat_images' => esc_html( wp_unslash( get_option( 'ait_wp_woocomm_cat_images' ) ) ),
);
$retrieved_array2 = unserialize (get_option('ait_wp_woocomm_badges'));
?>
<?php if($this->settings['ait_wp_woocomm'] == 'yes'){}else{die ("Functie Uitgeschakeld");}?>
<?php
    if ( isset( $this->message ) ) {
?>
<div class="updated fade"><p><?php echo $this->message; ?></p></div>
<?php
}
if ( isset( $this->errorMessage ) ) {
?>
<div class="error fade"><p><?php echo $this->errorMessage; ?></p></div>
<?php
}
?>
<div class="tab-content">
<br><br>
<table width="100%">
<tr>
<td width="50%" height="100%" valign="top">
<table class="widefat">
	<thead>
		<tr>
			<th><strong>WooCommerce Opties</strong></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td width="100%" height="100%" valign="top">
				<p>
					<input type="checkbox" class="toggle" style="display:none;" id="ait_wp_woocomm_cat_images" name="ait_wp_woocomm_cat_images" value="yes" <?php if($this->settings['ait_wp_woocomm_cat_images'] == 'yes'){echo 'checked';} ?>/>
					<label for="ait_wp_woocomm_cat_images" class="label"></label>
					<span>Gebruik willekeurige afbeelding als productcategorie afbeelding.</span>
				</p>
				<?php
				if (is_plugin_active('ean-for-woocommerce/ean-for-woocommerce.php')) {
				echo '<p>
					<input type="checkbox" class="toggle" style="display:none;" id="ait_wp_woocomm_scanner" name="ait_wp_woocomm_scanner" value="yes" '; if($this->settings['ait_wp_woocomm_scanner'] == 'yes'){echo 'checked';} echo'/>
					<label for="ait_wp_woocomm_scanner" class="label"></label>
					<span>Barcode Scanner Toevoegen.</span>
				</p>';
				} else {
					update_option('ait_wp_woocomm_scanner', 'no');
					echo '<p>
					<input type="checkbox" class="toggle" style="display:none;" id="ait_wp_woocomm_scanner" name="ait_wp_woocomm_scanner" value="no" disabled/>
					<label for="ait_wp_woocomm_scanner" class="label"></label>
					<span>Barcode Scanner Toevoegen | EAN for WooCommerce niet geinstalleerd.</span>
				</p>';
				}

				?>
				<p>
					<input type="checkbox" class="toggle" style="display:none;" id="ait_wp_woocomm_hideweight" name="ait_wp_woocomm_hideweight" value="yes" <?php if($this->settings['ait_wp_woocomm_hideweight'] == 'yes'){echo 'checked';} ?>/>
					<label for="ait_wp_woocomm_hideweight" class="label"></label>
					<span>Gewicht verbergen in "Eigenschappen" tab.</span>
				</p>
				<p>
					<input type="checkbox" class="toggle" style="display:none;" id="ait_wp_woocomm_verify_email" name="ait_wp_woocomm_verify_email" value="yes"<?php if($this->settings['ait_wp_woocomm_verify_email'] == 'yes'){echo 'checked';} ?>/>
					<label for="ait_wp_woocomm_verify_email" class="label"></label>
					<span>E-mailcontrole toevoegen aan bestelformulier.</span>
				</p>
				<p>
					<input type="checkbox" class="toggle" style="display:none;" id="ait_wp_woocomm_buttontextsw" name="ait_wp_woocomm_buttontextsw" value="yes"<?php if($this->settings['ait_wp_woocomm_buttontextsw'] == 'yes'){echo 'checked';} ?>/>
					<label for="ait_wp_woocomm_buttontextsw" class="label"></label>
					<span>Knoptekst aanpassen (naar winkelmand)</span>
				</p>
				<p>
					<?php esc_html_e( 'Tekst voor de knop', 'ait-wp' ); ?>
		    		<input type="text" name="ait_wp_woocomm_buttontext" id="ait_wp_woocomm_buttontext" class="widefat" value="<?php echo $this->settings['ait_wp_woocomm_buttontext']; ?>">
				</p>
				<p>
					<input type="checkbox" class="toggle" style="display:none;" id="ait_wp_woocomm_changetitle" name="ait_wp_woocomm_changetitle" value="yes"<?php if($this->settings['ait_wp_woocomm_changetitle'] == 'yes'){echo 'checked';} ?>/>
					<label for="ait_wp_woocomm_changetitle" class="label"></label>
					<span>Titel aanpassen ("Shop")</span>
				</p>
				<p>
					<?php esc_html_e( 'Tekst voor de header', 'ait-wp' ); ?>
		    		<input type="text" name="ait_wp_woocomm_newtitle" id="ait_wp_woocomm_newtitle" class="widefat" value="<?php echo $this->settings['ait_wp_woocomm_newtitle']; ?>">
				</p>
			</td>
		</tr>
	</tbody>
</table>
</td>
<td width="50%" height="100%" valign="top">
<table class="widefat">
	<thead>
		<tr>
			<th><strong>WooCommerce Badges</strong></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td width="100%" height="100%" valign="top">
				<p>
					<input type="checkbox" class="toggle" style="display:none;" id="ait_wp_woocomm_badges_sw" name="ait_wp_woocomm_badges_sw" value="yes" <?php if($this->settings['ait_wp_woocomm_badges_sw'] == 'yes'){echo 'checked';} ?>/>
					<label for="ait_wp_woocomm_badges_sw" class="label"></label>
					<span>Badges Inschakelen</span>
				</p>
				<p>
					<label for="ait_wp_woocomm_badges_bgcolor"><strong><?php esc_html_e( 'Achtergrondkleur Badges.', 'ait-wp' ); ?></strong></label><br>
					<input type="color" name="ait_wp_woocomm_badges_bgcolor" id="ait_wp_woocomm_badges_bgcolor" value="<?php echo $this->settings['ait_wp_woocomm_badges_bgcolor']; ?>">
				</p>
				<p>
					<label for="ait_wp_woocomm_badges_txtcolor"><strong><?php esc_html_e( 'Tekstkleur Badges.', 'ait-wp' ); ?></strong></label><br>
					<input type="color" name="ait_wp_woocomm_badges_txtcolor" id="ait_wp_woocomm_badges_txtcolor" value="<?php echo $this->settings['ait_wp_woocomm_badges_txtcolor']; ?>">
				</p>
				<p>
					<form method="post">
						<?php
						foreach ($retrieved_array2 as $key => $value) {
							echo '<div class="deletebuttonwrap"><button type="submit" name="remove_item" value="' . $key . '" class="deletebutton">Verwijder</button>&nbsp;&nbsp;&nbsp;' . $key . ': ' . $value . ' ';
							echo '</div>';
						}
						?>
					</form>
				</p>
				<p>
					<form method="post">
						Nieuwe badge toevoegen aan categorie:<br>
						<select name="new_item" class="form_field_admin">
							<option value="">Kies categorie</option>
							<?php
							$product_categories = get_terms('product_cat', array(
								'hide_empty' => false,
							));

							foreach ($product_categories as $category) {
								echo '<option value="' . $category->slug . '">' . $category->name . '</option>';
							}
							?>
						</select>
						<input type="text" id="data" name="data" class="form_field_admin" placeholder="Tekst voor op de badge.">
						<input type="submit" name="badgenieuw" value="Toevoegen" class="deletebutton">
					</form>
				</p>
			</td>
		</tr>
	</tbody>
</table>
</td>
</tr>
</table>
</div>
<br><br>
<?php wp_nonce_field( $this->plugin->name, $this->plugin->name . '_nonce' ); ?>   
<div class="opslaanknop-wrap">
<input type="submit" name="submit" class="opslaanknop" value="<?php esc_attr_e( 'Wijzigingen Opslaan', 'ait-wp' ); ?>" />
</div>